Welcome to FontCreator 6.0

 Next

Introduction

FontCreator puts font creation within the grasp of the average PC user, typographers and graphic designers.

The editor lets you easily select and modify the entire character set of any TrueType® font and fonts based on OpenType® font technology. Features include the ability to convert images to outlines, thus enabling you to create fonts with your own signature, logo and handwriting.

The intuitive interface makes FontCreator the perfect tool for both new and experienced users. The advanced validation features make the design process easy and help you avoid common mistakes.

Key features

· Create and edit TrueType and OpenType fonts
· Redesign existing characters
· Add missing characters
· Convert vector and raster based images (e.g. a signature, logo or handwriting) to character outlines
· Edit or regenerate font names
· Fix character mappings
· Generate, modify and clean up kerning pairs
· Correct fonts that display incorrectly
· Add or correct composite glyphs
· Transform individual glyphs or an entire font (e.g. to make a bold version)
· Split TrueType Collection or Extract TrueType Fonts from TrueType Collection
· Preview fonts before installing
· Install fonts in Windows

Make sure you have the latest version of FontCreator:

http://www.high-logic.com/


What's New in FontCreator 6.0

 Previous Next

New features in this version of FontCreator include:

· Import both vector and raster based images
· Advanced drag and drop support
· Alphanumeric sort feature for glyphs
· Updated font vendor list
· Background image enhancements
· Improved complete composites (automatically generates outlines for over 2000 glyphs!)


Technical Support

This help is designed to be used on-screen. Many troubleshooting questions can be answered by this help. If you haven't already done so, please read the next section about the user interface.

Printed User Manual

If you prefer reading printed manuals, a PDF version of the entire help file is available through the main menu (Help -> User Manual).

Online User Manual

The user manual is also available online:

http://www.high-logic.com/fontcreator/manual/index.html

Forum

The forum is available to you for support and information about managing and designing fonts. This forum has become a place where all users of FontCreator can share their knowledge. Membership of the forum is free. There's a good chance other people have asked the same questions as you, so you may be able to find the answers you need. Feedback and suggestions are also welcome in the forum.

http://forum.high-logic.com/

Frequently Asked Questions

View the most frequently asked questions (and answers) about FontCreator here:

http://www.high-logic.com/fontcreator/faq.html


Registration

Evaluation

During the trial period, FontCreator runs in Professional Edition mode. After using FontCreator for a 30-day trial period, you must register and pay for it, or remove it from your system. Registering makes your copy legal and helps support our efforts to develop innovative products to best serve your needs. Thank you for your support of FontCreator!

Why Register?

Registration allows you to continue using FontCreator 6.0 and entitles you to the following benefits:

· All future versions of FontCreator 6.x.
· Direct e-mail support from the developers.

Home Edition versus Professional Edition

The Professional Edition incorporates all features available in the Home Edition and also includes these additional features:

· Complete Composites; adds glyph members from composite data
· Insert Characters feature to add one or more characters at once
· Advanced contour operations: union, intersection and exclusion
· Knife feature to split contours
· Batch transformation of characters
· Font validation
· Automatic kerning

To Register

The quickest and most convenient way to register is online via credit card. Other supported payment methods like checks and cash are also supported. For more details take a look at our registration page:

http://www.high-logic.com/register.html


Credits

FontCreator contains several unmodified libraries that are available under MPL.

· JCL and JVCL from http://www.delphi-jedi.org/;
· VirtualShellUtilities from http://www.mustangpeak.net/;
· FastMM from http://fastmm.sourceforge.net/;
· XDOM from http://philo.de/xml/


Your First Font -- a Brief Tutorial

The quickest way to introduce yourself to FontCreator is to make a font. To make it personal we will describe how to make a font of your own handwriting.

On the File menu, click New to create a new font.

It is important to give our handwriting font a personal name, otherwise we will not be able to identify (and install) the font properly. The font name is not the same as the filename (for example timesbd.ttf has Time New Roman Bold as the font name, where Times New Roman is the font family name and Bold is the font style).

To give our font a name we type "My Handwriting" in the Font family name field and press the OK button.

Now you will see the Glyph Overview window. All cells have a caption and to give you a visual guidance, most cells contain a sample character shown as light blue outlines. Sample characters don’t really exist in the font, you have to add glyph data yourself. In this tutorial we will add this data for glyphs mapped to character A and B.


 Edit a Glyph - Character A

Edit a Glyph - Character A

From the Glyph Overview window we double-click on the cell with the caption "A". Now we see the corresponding Glyph Edit window. Choose Contour in the Insert menu. During this operation a left mouse-click creates a point onto the contour and a right mouse-click creates a point off the contour (used to create a Bézier curve).

Press the Apply button (or click on the first point) to finish the contour. We create two contours in order to complete the glyph.

Contours that need to be filled black must have a clockwise direction. If we want to make a white area inside an existing contour we must make the direction of the new contour counter clockwise.

The contours should stay within the visible area, this area is defined by the two black horizontal lines and the left and right bearings (vertical dashed lines). Make sure the glyph is within this area, parts outside this area will most likely be invisible. The left and right bearings can be changed by dragging them to their desired position. The glyph should be positioned between these lines, otherwise characters will overlap each other.

We close the Glyph Edit window to return to the Glyph Overview window.


Edit a Glyph - Character B

To personalize character "B" we want to import an image of our own handwritten "B". This image should not be too small or to large, we recommend an image dimension of 300x300 pixels. Bitmap, GIF and JPG images can be created with a paint program and if you have a scanner you could also import an image of your character "B" into the appropriate software.

From the Glyph Overview window we double-click on the cell with the caption "B". Choose Import Image in the Tools menu. Press the Load button to select the image you want to use and press the Generate button. Now you will see your image in the Glyph Edit window. Finally make sure the contours are within the visible area (as described in the previous section); if necessary adjust the left and right bearings.


Test and Install the Font

Now we have finished the first two characters we want to see the result. We test the new font by selecting Test in the Font menu. Type upper case "A" and "B" in the text field to see your creation.

In order to install a font we first need to save the file. Select Save as in the File menu and choose the name (for example C:\MyFonts\MyHandwriting.ttf) and destination.

Note: It is not recommended to save font files directly into Windows Fonts folder.

To make your font available to other applications select Install in the Font menu. The Font Installation wizard will guide you through the installation process.

At the end of the installation process you will be informed that the font is installed successfully. Now you will be able to select the font in any program that supports TrueType fonts.

When you are satisfied with the font and you don't intend to add more outlines, you can remove all incomplete glyphs from the font. First select Select Incomplete from the Edit menu. Next select Delete from the Edit menu. You then need to save, and reinstall the font.


TrueType

TrueType is a scalable font technology designed by Apple Computer, and has been superseded by the OpenType format.

A TrueType font file contains data, in table format, that comprises an outline font. Rasterizers use combinations of data from the tables contained in the font to render the glyph outlines.


OpenType

The OpenType font format is an extension of the TrueType font format, allowing support for PostScript font data. Technically there are two OpenType Font flavors; TrueType based (.ttf) and PostScript based (.otf). OpenType was developed jointly by Microsoft and Adobe to produce a hybrid between Type 1 and TrueType fonts, with additional features that work on Macintosh and Windows computers. OpenType fonts can include the OpenType Layout tables, which allow font creators to design better international and high-end typographic fonts.

Some descriptions (of various fields in this document) are copied from the specification available online at:

http://www.microsoft.com/typography/otspec/

Use VOLT (Visual OpenType Layout Tool) from Microsoft to add OpenType features to your existing fonts.

More information about VOLT:

http://www.microsoft.com/typography/volt.mspx


Font Copyright

Unless you know otherwise, you should assume all fonts to be copyrighted works that are someone's property and treat them as you would any other software. Fonts are software products in their own right, and are protected by international copyright law as well as individual license agreements. Even redistributing so-called 'freeware' or 'public domain' fonts is problematic. If you have created a font yourself (without using anything from other fonts), it is your property.

The use of any commercial font is governed by the terms of its manufacturer's End User License Agreement (EULA). Several major font vendors specifically allow altering a font, as long as the altered font is only used on machines for which you have licensed the original font. If you have questions about what can or can't be done with a font, you should contact that font's manufacturer.

The Copyright Notice field in the Naming window may direct you to the copyright holder, but be aware that this field may be blank, or may have been altered. Also the License Agreement and the License Agreement Link fields from the Advanced Naming window might have important information.


Open a Font

There are several ways to open a font file.

Open fonts already installed on your system

To open an installed font file select Open from the File menu and choose Installed Font option.

Open any font that is available

From the File menu, select Open and choose Font File option to open a font through Windows default open dialog box.

Drag and drop a font file

Another way to open a font, is to drag a font file from Windows Explorer and drop it into FontCreator.

Explorer Context Menu

You can also open a font from My Computer or Windows Explorer context menus. Select one or more font files in a Windows Explorer window, then right click any of the selected files and choose Open with FontCreator from the context menu

Reopen a font file

To open a font that you've used recently, choose Reopen from the File menu to display the names of the last ten used fonts. Click on the font you want to use.

Warning: If you want to open fonts that are located in Windows fonts folder you should use the Installed Fonts command (or drag and drop), because this folder is marked (by Windows) to be a special folder and therefore behaves differently (e.g. it shows font names instead of file names).

Warning: Really large fonts can only be loaded when your system has enough internal memory.


 Create a Font

Create a Font

On the File menu, click New to create a new font.

Font family name

In Windows, the Font family name is displayed in the font menu. The Font family name will appear as the font name when you select a font in a word processing program, etc.

Character set

Select Unicode for normal fonts, like Arial and Times New Roman and Symbol for fonts that include symbols, signs, signatures, pictures, decorations, arrows and bullets, like Webdings and Wingdings. You can later insert additional characters, or remove characters you don't need.

Font style

The font will be identified through its Font family name and the Font style. In order to create a full font family, you will need to create four fonts, each with a different Font style, but with the same Font family name.

Predefined outlines

Selecting "Include outlines" will add outlines for several common characters. This will speed up creating your new font. You can replace or modify these glyphs later. The outlines can be used royalty free in your own fonts.

Note: On the Naming tab, accessed by Tools -> Options, there are default naming values, that will be added to the new font.

See also:

View and Modify Naming Fields

Default Naming Values

Insert Characters


Save a Font

To save an active font select Save in the File menu. If you want to save the active font with a different name, or in a different location, select Save as in the File menu, choose a name and location and click Save.

Warning: It is not recommended to save your font in Windows fonts folder.

Warning: Files locked by Windows can't be saved. This happens when the Operating System keeps the font in memory. You could try to uninstall (delete) the font through Windows fonts folder.


Close a Font

To close the current font file select Close in the File menu. To close all active fonts at once select Close All in the File menu.


Undo Command

The Undo command from the Edit menu reverses the last action made to the active font.

Using Undo returns the font to its state prior to the most recent operation. The number of operations you can undo depends on the settings from the Tools menu in the Edit tab of the Options dialog box.

Note: The Undo button on the toolbar has a small arrow which allows you to pull down a menu and select multiple actions to be undone.


Redo Command

The Redo command from the Edit menu re-applies the actions or commands on which you have used the Undo command. FontCreator supports Multiple Redo, which is particularly useful if you have removed more edits and commands than you had intended. If this occurs, and you want to re-apply them, either choose the Redo command as many times as is necessary or use the drop arrow on the Redo button located on the Standard toolbar.

Note: The Redo button on the toolbar has a small arrow which allows you to pull down a menu and select multiple actions to be redone.


Repeat Your Last Action

When you select Repeat from the Edit menu the program will repeat the last action you have done. When the Repeat command can't be selected, you can't repeat the last action.


Finding a Glyph

You can search for a glyph by its postscript name and by its mappings. Select Find on the Edit menu to open the Find window.

If you search for a specific (part of a) postscript name enter the text in the Part of Postscript Name box. Find Next leads you to the Glyph(s) that contain the entered part of the name.

When searching for mappings you first select the platform and then the mapping you are looking for, to proceed click Find.


Bookmarks

You can set bookmarks in the Glyph Overview window and Glyph Edit window so that you can go directly to a particular glyph. To set a bookmark in the Glyph Overview window, select a glyph, right-click it, select Toggle Bookmarks and then set/clear a bookmark. These shortcuts can also be used:

Ctrl-Shift-0 through Ctrl-Shift-9

To jump to a bookmarked glyph in the Glyph Overview window, right-click and select Goto Bookmarks and then select a bookmark, or use one of these shortcuts to move to a bookmarked glyph:

Ctrl-0 through Ctrl-9


Using the Glyph Overview

In the Glyph Overview window all cells have a caption and a part that shows the glyph.

To distinguish the types of glyphs the captions have different colors:

· Grey: empty glyph,
· Pink: empty glyph used by composite glyph(s)
· Green: simple glyph, consists of contours
· Red: simple glyph that is also used by a composite glyph
· Blue: composite glyph, consists of other glyphs
· Purple: composite glyph used by other composite glyph(s)

A special border around the colored dot (see the red dot at the 'x') indicates that the glyph itself is not directly available (there is no mapping information) in the font file. Empty glyphs (the 'y' and the 'braceleft') will show a sample character based on the first valid Windows mapping.

Each cell has a caption that is used to display the postscript name, the mappings or the index of the glyphs. To select the kind of caption, select Options on the Tools menu and go to the Overview tab page or right-click in the Glyph Overview window and select a specific caption.


Glyph Properties

You can change the glyph's properties by right-clicking a single glyph in the Glyph Overview window or Glyph Edit window and selecting the Properties menu item. Here you can edit the Postscript Name, Metrics and Mappings.

General information about the glyph is found on the General page.

The features at the Mappings page are also available through Mappings from the Format menu.

Postscript Name

The Postscript Name of the glyph. It has the same value as found in the Postscript Names window (accessed from the Post menu item from the Format menu). Press the Generate Name button to let FontCreator fill in the field.

Left Side Bearing

The (horizontal) start position of the glyph.

Advance Width

The width of the glyph and its surrounding space.

Tip: You could also adjust the Left Side Bearing and Advance Width in the Glyph Edit window, by changing the vertical bearings.


Used By

The Used By window (available by right-clicking a glyph in the Glyph Overview window or Glyph Edit window and selecting the Used By menu item) is used to display an overview of all glyphs that use the selected glyph. This menu item is available if the glyph's Postscript name is colored, pink, red or purple. To jump directly to one of the displayed glyphs double-click it in the window or select it and click the OK button.


Insert Characters

Select Characters in the Insert menu to add glyphs with their character mappings and postscript names to the font. This option is available only when the Glyph Overview window is active.

Select a Unicode block from the droplist, "Go to Unicode Block". Uncheck the "Sorted" field to sort the blocks in numerical code-point order instead of alphabetical order. if necessary, choose another installed font which includes the characters to be added. Characters can be added anyway, but it helps if the glyphs can be previewed.

Use the next and previous block or next and previous plane buttons to scroll through the font. The code point of the character to add can be found by entering the decimal value in the "Go to Code Point" field, or by entering the hexadecimal value preceded by a dollar sign. For example, enter 8364 or $20AC to find the Euro Sign (€). The Unicode name of the character can be used in the field, "Find Part of Character Name". For example, type "euro" to first find "EURO-CURRENCY SIGN," then "EURO SIGN" with Find Next.

Click on a character to select it and preview it in the glyph preview at bottom left. Double-click the character, or click the Add button, to add its code-point to the list of selected characters at the bottom of the dialog. Keep adding individual characters by double-clicking, or hold down the Shift key and double-click to add a range of characters. The code-points will be displayed in Hexadecimal or Decimal notation depending on the setting in Tools, Options, General, values. You can also type code-points into the characters to add field, separated by commas (or hyphens to add a range of characters), or cut and paste a predefined list of characters from a text file. For example, pasting 256-383 then clicking OK would add the entire Latin Extended-A character set.

Note: The number of characters that may be added at one time from this dialog is limited to 1,000.

Click OK to dismiss the dialog and add the characters to the current font. The characters will be empty glyphs, with mappings for all defined platforms, and postscript names, but with no glyph outlines. If the glyphs exist in the overview sample font, and if "Show samples in empty glyphs" is on, blue outlines of the new characters will be displayed in the glyph overview.

Characters or entire character sets can also be added using Transform Scripts. See the topic: Glyph Transformer.

Note: The number of glyphs that may be included in one font is limited to 65535.

Note: Insert Characters is not available in the Home Edition of FontCreator.

See also:

Glyph Transformer


Insert Glyphs

Select Glyphs in the Insert menu to add glyphs to the font. This option is available when the Glyph Overview window is active.

Note: The number of glyphs that may be included in one font is limited to 65535.


 Copy and Paste Glyphs

Copy and Paste Glyphs

The Paste Special command is used to specify what parts of a group of glyphs (already copied to the clipboard) should be pasted.

You can select any number of glyphs in the Glyph Overview window by clicking on them while holding down the Ctrl key. You can perform several operations on the selected glyphs. If you paste the selection to another font the glyphs will be pasted to the selected glyphs. If you want the pasted glyphs to be placed in another position you can select the same number of glyphs you copied prior to the paste action, or select just one glyph.

Glyph Outline Data will always be included.

Glyph Metrics are the Left Side Bearing and Advance Width of each glyph

Glyph Postscript will paste all postscript names

Glyph Mappings will paste the mappings. Keep same mappings adds new mappings to the glyphs. Mappings that already exist will be reassigned to the pasted glyph(s) when the Overrule same mapping option is selected. You can also choose to add mappings. Add mappings adds all mappings. When mappings are already available, they will be reassigned to the pasted glyph(s).


 Adding a New Character - the EURO Sign

Adding a New Character - the EURO Sign

Sometimes a font is missing one or more characters. Here is explained how to add the EURO sign to an existing font.

There are two ways to add a character to a font. The easiest and recommend way is explained first:

1a. Add a character at the end of the glyph list (recommended)

Select Characters from the Insert menu. Enter "EURO SIGN" into the Find Part of Character Name and press the Find Next button. Now select the Add button and press the OK button.

Note: Insert Characters is not available in the Home Edition of FontCreator.

1b. Add a glyph at the end of the glyph list

Select Glyphs from the Insert menu and insert one glyph after the last glyph.

Give the glyph a proper Postscript Name

Right-click on the glyph and select Properties to open the Properties window.

On the General page set the Postscript Name field to "Euro".

Assign mappings to the glyph

In the same Properties window on the Mappings page select the Windows Unicode Unicode BMP (UCS-2), or Microsoft Symbol Platform and click the Select button.

In the top pane select from the blocks list:

"$20A0 or 8352 | $20CF or 8399 | Currency Symbols"

and the bottom pane changes but do not press the OK button.

In the bottom pane select from the characters list:

"$20AC or 8364 | <empty>* | EURO SIGN"

Note: * this field should be empty otherwise the character is already mapped to another glyph.

After pressing two OK buttons the glyph outline can be edited.

2. Edit the glyph

Double-click the Euro glyph to open the Glyph Edit window. There are several ways to add contours to the glyph:

· Import an image (Tools -> Import Image)
· Add new contours (right-click and select "New Contour...")
· Paste contours from other glyphs
· Drag outlines from the Samples toolbar

3. Adjust the right and left bearings

Around the glyph there are four lines that represent the Bearings. These are shown by default but you can hide them through the Show Bearings button on the Drawing toolbar. The left and right bearings can be changed by dragging them to their desired position.

You could also adjust the bearings when you right click a glyph in the Glyph Overview window and select "Properties...". Here you can alter the left side bearing and the advance width.

4. Test the font.

Select Test in the Font menu.

Add a Euro sign in the text area with Alt-0128 or use MainType utility to copy and paste the EURO character into the text area.


Font Name

Be careful not to confuse the font name with the file name. Windows uses the file name to install a font, while the font name is used to identify the font.

To change the font name select AutoNaming from the Tools menu.


Font Type

To change the font type (for example from Regular to Bold) you need to change a few settings:

Things that need to be done in order to change an existing regular font to italic, bold or bold italic are:

· Mac Style fields - on the Format menu, click Settings and then click the Metrics tab.
· Font Design - on the Format menu, click Settings and then click on the Metrics tab.
· All font subfamily name fields in the Naming window. This can be done through the AutoNaming feature.
· For a bold or bold italic version:
· Set Classification Weight to Bold - on the Format menu, click Settings and then click on the General tab.
· Set PANOSE Weight to Bold - on the Format menu, click Settings and then click on the Classification tab.
· For an italic or bold italic version:
· Set Italic Angle to a negative value (e.g. -16.33) - on the Format menu, click Settings and then click on the Post tab.
· Set Caret Slope values through Calculate Rise and Run - on the Format menu, click Settings and then click on the General tab.


Font Embedding

Select Settings from the Format menu and select the General tab page. Here you can alter the Font Embedding Licensing Rights.

Note: Embedding symbol fonts may not be possible in Word.

Note: In order to embed a font, the Postscript Names in Post command (Format menu) must be included for some applications (like Adobe Acrobat).


Unicode versus Symbol

When a font has a Windows Unicode BMP (UCS-2) platform, the font is a normal font. When a font has a Windows Symbol platform, the font is a Symbol font.

Symbol character sets have a special meaning: all of the characters in the Unicode range 0xF000 - 0xF0FF (inclusive) will be used to enumerate the symbol character set. All glyphs in this range are mapped to the range 0x0000 - 0x00FF.

Symbol fonts do not form words so line breaks can occur after any character code. A spell checker should not check symbol font-formatted material.

Note: only the first 224 characters of symbol fonts will be accessible, a space and up to 223 printing characters.

From Symbol to Unicode

In order to change a symbol font into a normal font there are a few things:

· Make sure the Windows platform is "Windows Unicode BMP (UCS-2)".

From the Platform Manager command (Format menu) select the Windows platform. Now press the Change button. The platform should be changed from "Windows Symbol" to "Windows Unicode BMP (UCS-2)".

· In the Settings command (Format menu) on the Classification tab set the PANOSE - Family Kind from "Pictorial" to something appropriate and the Font-family - Class from "Symbolic" to something that suits the fonts style.
· In the Settings command (Format menu) on the Ranges tab change the Code Page Character Ranges (if available). Unselect "Symbol Character Set" and select the appropriate ranges.

From Unicode to Symbol

In order to change a normal font into a symbol font there are a few things:

· Make sure the Windows platform is "Windows Symbol".

From the Platform Manager command (Format menu) select the Windows platform. Now press the Change button. The platform should be changed from "Windows Unicode BMP (UCS-2)" to "Windows Symbol".

· In the Settings window (Format menu) on the Classification tab set the PANOSE - Family Kind to "Pictorial", PANOSE - Weight to "No Fit", PANOSE - Contrast to "No Fit" and the Font-family - Class to "Symbolic".
· In the Settings window (Format menu) on the Ranges tab no Unicode Character Ranges should be selected and Symbol Character Set should be the only selected Code Page Range.


 Monospaced versus Proportional

Monospaced versus Proportional

A monospaced font is a font where all characters have the same width. These fonts are often used to emulate typewriter output for reports, tabular work and technical documentation.

In a proportional font the width of each character, including the space character, varies with the shape of the character. Proportional fonts are easier to read and are preferred for publishing applications.

From proportional to monospaced

To change a proportional spaced font into a monospaced font, follow these steps:

· Select the AutoMetrics command (Tools menu) to force the advance width to be the same for all glyphs (except for the second glyph normally called .null - this glyphs advance width should be zero).
· If necessary, change the outlines of glyphs that are too wide.
· In the Settings command (Format menu) on the Panose tab set Family Kind to 2 (Latin Text) and Proportion to 9 (Monospaced).
· In the Settings command (Format menu) on the Header tab make sure the Font Header Flag Instructions may alter advance width is not checked.
· In the Settings command (Format menu) on the General tab set Fixed Pitch to a non-zero value (e.g. 1).
· Finally in the Tables command (Format menu) you might have to remove two internal tables (if available) hdmx and LTSH. If the font seems to be changed you could also remove the hinting related data, although this will result in a quality decrease.


Recommended Glyphs

In addition to script and language specific punctuation and native numbers, the following glyphs are highly recommended for inclusion in fonts.

First four glyphs

TrueType outline fonts should have the following four glyphs at the beginning of a font. These were listed in Apple's original TrueType specification. These glyphs are recommended to allow for the same version of the font to work on both Windows and Macintosh.

Glyph 0 is the .notdef (missing character) glyph.

Glyph 1 is the .null glyph; it has no contours and zero advance width.

Glyph 2 is the nonmarkingreturn glyph; it has no contours and positive advance width.

Glyph 3 is the space (and no-break space) glyph; it has no contours and positive advance width.

Index | PostScript Name | Unicode | MacChar
0 | .notdef |  | undefined *
1 | .null |  | $00
2 | nonmarkingreturn |  | $0D
3 | space | $0020 | $20

*) For the Macintosh platform, all unmapped characters are mapped to the first glyph.

Glyph 2 and 3 should have the same advance width.

The .notdef glyph is very important for providing the user feedback that a glyph is not found in the font. This glyph should not be left without an outline as the user will only see what looks like a space if a glyph is missing and not be aware of the active font's limitation.

It is recommended that the shape of the .notdef glyph be either an empty rectangle, a rectangle with a question mark inside of it, or a rectangle with an "X". Creative shapes, like swirls or other symbols, may not be recognized by users as indicating that a glyph is missing from the font and is not being displayed at that location.

General punctuation and 'Latin' numbers

PostScript Name | Descriptive Name | Sample | Unicode | MacChar
space | space |  | $0020 | $20
exclam | exclamation mark | ! | $0021 | $21
quotedbl | quotation mark | " | $0022 | $22
numbersign | number sign | # | $0023 | $23
dollar | dollar sign | $ | $0024 | $24
percent | percentsign | % | $0025 | $25
ampersand | ampersand | & | $0026 | $26
quotesingle | apostrophe | ' | $0027 | $27
parenleft | left parenthesis | ( | $0028 | $28
parenright | right parenthesis | ) | $0029 | $29
asterisk | asterisk | * | $002A | $2A
plus | plus sign | + | $002B | $2B
comma | comma | , | $002C | $2C
hyphen | hyphen-minus | - | $002D | $2D
period | period | . | $002E | $2E
slash | slash | / | $002F | $2F
zero | digit zero | 0 | $0030 | $30
one | digit one | 1 | $0031 | $31
two | digit two | 2 | $0032 | $32
three | digit three | 3 | $0033 | $33
four | digit four | 4 | $0034 | $34
five | digit five | 5 | $0035 | $35
six | digit six | 6 | $0036 | $36
seven | digit seven | 7 | $0037 | $37
eight | digit eight | 8 | $0038 | $38
nine | digit nine | 9 | $0039 | $39
colon | colon | : | $003A | $3A
semicolon | semicolon | ; | $003B | $3B
less | less-than sign | < | $003C | $3C

Quotes and Ellipsis

Smart quotes (also known as curly quotes) are fancy characters which make text look better compared to the straight apostrophe (') and straight quote or inches character ("). Microsoft Word also automatically changes 3 periods to an ellipsis.

If your font does not support these characters, you can either turn the "Smart Quotes" and "Ellipsis" features off in the application (In Microsoft Word it's under Tools -> AutoCorrect) or make sure these glyphs and their mappings are available in the font.

PostScript Name | Descriptive Name | Sample | Unicode | MacChar
quoteleft | left single quotation mark | ' | $2018 | $D4
quoteright | right single quotation mark | ' | $2019 | $D5
quotedblleft | left double quotation mark | " | $201C | $D2
quotedblright | right double quotation mark | " | $201D | $D3
ellipsis | horizontal ellipsis | … | $2026 | $C9

Other suggested glyphs

PostScript Name | Descriptive Name | Sample | Unicode | MacChar
nbspace * | no-break space |  | $00A0 | $CA
currency | currency sign | ¤ | $00A4 |
section | section sign | § | $00A7 | $A4
logicalnot | not sign | ¬ | $00AC | $C2
degree | degree sign | ° | $00B0 | $A1
paragraph | paragraph sign | ¶ | $00B6 | $A6
periodcentered | middle dot | • | $00B7 |
endash | en dash | – | $2013 | $D0
emdash | em dash | — | $2014 | $D1
bullet | bullet | • | $2022 | $A5
euro | euro currency symbol | € | $20AC | $DB
bulletoperator ** | bullet operator | • | $2219 | $E1

* nbspace is usually mapped to the space glyph

** bulletoperator is usually mapped to the periodcentered glyph


Sorting Glyphs

To change the order of the glyphs within a font select Sort Glyphs in the Font menu, or use the button on the Standard Toolbar.

No matter which option you select, these glyphs (if available) will always come first in the new order.

· .notdef
· .null
· .nonmarkingreturn

Windows Unicode or Symbol code points

Glyphs will be sorted by these rules:

· Glyphs are sorted by their Windows mappings
· Then all remaining glyphs are sorted by their postscript names

The Unicode code points are retrieved from the Windows Character to Glyph Index Mappings.

Standard Macintosh ordering

Glyphs will be sorted by these rules:

· Glyphs are sorted by their Macintosh standard order names
· Then all glyphs are sorted by their Windows mappings
· Then all remaining glyphs are sorted by their postscript names

Note: Over a decade ago Apple recommended the standard Macintosh ordering, so a lot of font designers are still used to this glyph order.

PostScript names

Glyphs will be sorted by these rules:

· The glyphs are sorted by their PostScript names
· Then all remaining glyphs are sorted by their Windows mappings

Glyph type (empty, simple, composite)

Glyphs will be sorted by these rules:

· The glyphs are sorted by their glyph type
· Then all remaining glyphs are sorted by their Windows mappings

See also:

Character to Glyph Index Mappings

Glyph PostScript Names


Incomplete Glyphs

Select Edit from the main menu and then click Select Incomplete to select all glyphs that are not completed yet. In case you decide to not add outlines to those glyphs, you should remove those incomplete glyphs.


 Introduction

Introduction

From the Glyph Overview window you can double-click a glyph in order to open a Glyph Edit window and edit the selected glyph. You can also select a glyph, right-click it and select Edit.

You can "zoom in" to get a close-up view of your glyph or "zoom out" to see more of the page at a reduced size. You can use the edit field located on the Drawing toolbar to change the zoom percentage. The Zoom to Selected button will be enabled as soon as contours or points are selected. Pressing this button will zoom into the current selection. When you press the Fit to Window button, the glyph will be shown with the largest zoom factor that also shows the ascender and descender lines.

There are three glyph types:

Empty glyphs

Some glyphs don't have any outlines, like the glyph that represents the space character. However empty glyphs, like all types, do have bearings (a space character has an advance width like any character).

Simple glyphs

A simple glyph consists of a series of contours. A contour is defined by a series of points. In order to distinguish between contour and point related operations, you can choose to work in contour or point mode. At any time you can change between Contour and Point mode; select the appropriate Mode from the View menu or press one of the triangle buttons on the Drawing toolbar.

Contours

To select an external contour of a black area of a glyph click within the black area. To select an internal contour of a black area click within the internal white area.

To select more than one contour, press and hold down the Shift key while selecting contours. Another way is to click on the workspace above and to the left of where the contours are and, while holding down the left mouse button, drag a rectangle around all contours you want to select simultaneously.

Use the Ctrl-A shortcut or select Select All from the Edit menu to select all contours. While holding down the Shift key and clicking a contour already selected, will remove that contour from the current selection.

Points

To select a single point click on it. To select more than one point hold down the Shift key while clicking on several points or another way is to hold down the left mouse button and drag a rectangle around the points you want to select simultaneously, whether a few or all points in the glyph. Use the Ctrl-A shortcut or select Select All from the Edit menu to select all points. Hold down the Shift key and select points you want to add to or remove from the current selection.

Composite glyphs

Composite glyphs are simply a combination of two or more other glyphs - usually, but not limited to, a base character and one or more diacritical marks that are placed above and/ or below the base character.

To select a composite member click on it. If you want to modify specific member data double-click a composite member to open the Composite Glyph Properties window.

Other parts of the manual have a comprehensive explanation of the three glyph types.


 Glyph Metrics

Glyph Metrics

Several horizontal and vertical lines, also known as glyph metrics, will help you with your font design. You can activate them through the Metrics Options window.

In order to change the horizontal metrics click Settings on the Format menu and then click the Metrics tab. WinAscent, WinDescent, TypoAscender and TypoDescender are located on the Metrics tab while CapHeight and x-Height can be found on the Ranges tab.

In the Glyph Edit window there are two vertical lines (normally the glyph outline lies in between these lines) that represent the left and right side bearings. These are shown by default but you can hide them through the Show Metrics button on the Drawing toolbar. The left and right side bearings can be changed by dragging them to their desired position. You can also adjust the bearings when you right click a glyph in the Glyph Overview window and select Properties. Here you can alter the left side bearing and the advance width. White space should be evenly distributed between the left and right side bearings of glyphs except when font is specifically designed with ligatures for joining characters in a cursive script font.

Note: Lining numbers (i.e. the digits 0 - 9) should all have the same advance width.

See also:

Metrics Options


 Empty Glyphs

Empty Glyphs

Empty glyphs (like the space glyph) don't have outlines but they do have an advance width. In a Glyph Edit window you can change an empty glyph into a simple glyph by adding contours. You can also change an empty glyph into a composite glyph by adding a Composite Glyph Member.


 Introduction

Simple Glyphs - Introduction

In a TrueType font, glyph shapes are described by their outlines. A glyph outline consists of a series of contours. Contours are composed of straight lines and curves. Curves are defined by a series of points that describe second order Bézier-splines. The TrueType Bézier-spline format uses two types of points to define curves, those that are on the curve and those that are off the curve. Any combination of off and on curve points is acceptable when defining a curve. Straight lines are defined by two consecutive on curve points.

Contours that need to be filled black must have a clockwise direction. If we want to make a white area inside an existing contour we must make the direction of the new contour counter clockwise. Contour direction is determined by seeing in which direction the point index values increase or decrease. Contour direction is from the smaller point index to the larger. The general rule is that the contour direction should be such that "black is on the right". Using the glyph "O" as an example, the outer contour should travel clockwise, and the inner contour counter clockwise.

Click the Correct contour directions button on the Validation toolbar to correct the direction of all misoriented contours in a simple glyph or select Direction from the Edit menu to change the direction of the selected contour(s).

The character "4" is represented by a glyph with two contours. One contour you see as the black area and the white area within this glyph is the other contour.

From the Drawing toolbar you can change the way you can modify the glyph. In the Glyph Edit window, you can change between Contour and Point mode by double clicking inside the edit area, select the Mode from the View menu or use the appropriate button on the Drawing toolbar. The main difference between Contour mode and Point mode is that in Contour mode all operations are related to the contours while in Point mode you can change parts of the contours (e.g. move, add and delete points).

Holding down the Shift key while dragging points or contours restricts movement so the selection moves only in the x or y direction.

In the Glyph Edit window (in Point mode) the rectangles represent on curve points and the circles off curve points.

Tip You can nudge the selected contour(s) or point(s) up, down, left, or right by pressing the arrow keys. By holding down the Ctrl key and pressing the arrow keys finer nudging is available.


 Contours

Simple Glyphs - Contours

You can perform several operations on contours while in Contour mode.

Select contours

To select more than one contour, hold down the Shift key while selecting contours. Another way is to click on the workspace where no contours are and, while holding down the left mouse button, drag a rectangle around all contours you want to select simultaneously. Use the Ctrl-A shortcut to select all contours.

Resize selected contours

When you select one or more contours, a box with "resizing handles" shows up around the selected contour(s). Click and drag one of those resizing handles to change the size of the selected contour(s). By default the selected contour(s) remain proportional to the original size, as you resize it. Press the Shift key while you drag one of the resizing handles located at the corners to resize freely.

Move selected contours

To constrain a selection so it moves only horizontally or vertically, press Shift as you drag the selection. Press Alt to ignore the snap to grid and snap to guidelines features.

Duplicate selected contours

To copy selected contours to a new position, hold down the Ctrl key as you drag the selection. Hold the Alt key to ignore the snap to grid and snap to guidelines features. Hold down the Shift key to move only in vertical or horizontal direction. Any combination of these keys is allowed.

Rotate selected contours

You can rotate by first selecting a contour (or more) and then select it again (don't double-click). The little rectangles on the corners have changed into circles. These can be used to rotate the selected contour(s). The other four rectangles are used to skew the selection. To change the origin for the rotation you can move the little cross in the middle of your selection.

There are several ways to add outlines (contours) to a glyph:

· Select the Add rectangle or Add ellipse button on the Drawing toolbar and place it on the Glyph Edit window.
· Draw a new contour

First select Contour from the Insert menu. A left mouse click creates a point on the contour and a right mouse click creates a point off the contour for a bézier curve. Creating points while holding down the Ctrl key generates straight lines (horizontal or vertical). After you have created your contour you press the Apply button.

· Samples toolbar:

Drag and drop a glyph from the Samples toolbar into a Glyph Edit window.

· Copy contours from other glyphs, even from other fonts and paste them. (These operations carried out in their respective Glyph Overview windows)
· Import a stored vector or bitmap file of an image of a glyph into a Glyph Edit window using Import in the Tools menu.
· Paste a Clipboard image of a glyph into the Glyph Edit window. The Clipboard image could be created in another application which has graphics editing capabilities e.g. a cropping function. This operation is performed using the Paste option in the Edit menu.


Points

Simple Glyphs - Points

In Point mode the rectangles represent on curve points and the circles off curve points.

Select points

To select a single point click on it. To select more than one point hold down the Shift key while clicking on several points or another way is to hold down the left mouse button and drag a rectangle around the points you want to select simultaneously, whether a few or all points in the glyph. Use the Ctrl-A shortcut to select all points. Hold down the Shift key and select points you want to add or remove from the current selection.

Move selected points

To constrain a selection so it moves only horizontally or vertically, press Shift as you drag the selection. Press Alt to ignore the snap to grid and snap to guidelines features.

There are several operations related to points (move, add, delete, change points to on or off curve, etc.). Select one or more points and then right-click one of them to open a sub-menu with even more point related features.

Every contour has a start point, with a green mark and an end point with a red mark. To change the start point, right-click a point and select First Point.


Join and Split Contours

Simple Glyphs - Join and Split Contours

Both Contour mode and Point mode have ways to combine and split contours. Usually Union, Intersection and Exclusion, available in Contour mode, and Knife, available in both modes, are recommended. If these features don't give expected results the two remaining features (Join Contours and Split Contour) available in Points mode might help.

Union, Intersection and Exclusion in Contour mode

Use the Union feature to merge several overlapping contours.

Use the Intersection feature to keep all overlapping parts.

Use the Exclusion feature to remove all overlapping parts.

Knife in both modes

Use the Knife feature to split contours.

Join Contours and Split Contour in Point mode

When you want to combine two contours you have to select one point on each contour. Next right-click one of these points and click "Join Contours" on the shortcut menu.

To split a contour into two contours, select two points (these points should not be neighbors) on the same contour and then right-click one of these points and click "Split Contour" on the shortcut menu.

Note: Make sure the two combining contours have the same direction.

Note: Union, Intersection, Exclusion and Knife are not available in the Home Edition of FontCreator.


Introduction

Composite Glyphs - Introduction

Composite glyphs are simply a combination of two or more other glyphs - usually, but not limited to, a base character and one or more diacritical marks that are placed above and/ or below the base character.

Create composite glyphs

You can create a composite glyph when you are editing an empty glyph in a Glyph Edit window. To add a composite glyph member select Glyph from the Insert menu. To add one or more glyphs as composite glyph members first copy glyphs from the Glyph Overview window and then paste them into a Glyph Edit window that contains an empty glyph or a composite glyph.

Move selected glyph members

You can change the position of each of the used glyphs within the Glyph Edit window.

To constrain a selection so it moves only horizontally or vertically, press Shift as you drag the selection. Press Alt to ignore the snap to grid and snap to guidelines features.

Transformations

Besides moving glyph members, it is possible to perform operations like scale and rotation by right-clicking and select Glyph Member Properties.

Duplicate selected glyph members

To copy selected composite glyph members to a new position, hold down the Ctrl key as you drag the selection. Hold the Alt key to ignore the snap to grid and snap to guidelines features. Hold down the Shift key to move only in vertical or horizontal direction. Any combination of these keys is allowed.

Convert to simple glyph

To convert a composite glyph to a simple glyph select the glyph in the Glyph Overview window or in the Glyph Edit window and select Make Simple from the Edit menu.

Join composite glyph members

If composite glyph members intersect such as with C cedilla, Get Union of Contours on the Glyph toolbar will convert the composite glyph to a simple glyph and join intersecting contours into one contour.


Add Glyph Member

Composite Glyphs - Add Glyph Member

If you wish to edit an empty glyph or modify a composite glyph you can select Glyph from the Insert menu.

In the Select Composite Glyph Member window select the glyph you want to add to the composite glyph and press the OK button.


 Glyph Member Properties

Composite Glyphs - Glyph Member Properties

When you have opened a composite glyph in the Glyph Edit window, you can modify the properties of each composite glyph member. Either double-click a Glyph Member or right-click it and then select Glyph Member Properties.

In the Composite Glyph Properties window you can modify the position, scale, rotation, transformation and special flags of the selected member. Use the Previous and Next buttons to walk through the members.

The Flags consist of a set of fields:

Use this glyphs metrics

If set, this forces the advance width and left side bearing (and right side bearing) for the composite to be equal to those from this original glyph. This works for hinted and unhinted characters. Only one member can have this option selected. Without this flag, the actual left side bearing and right side bearing of the composite glyph will be used.

Round xy to grid

Round the x and y offsets.

No overlap

This bit is reserved/ obsolete. Do not set it.

Overlap compound

Used by Apple in GX fonts.

Scaled component offset

Composite designed to have the component offset scaled (designed for Apple rasterizer).

Unscaled component offset

Composite designed not to have the component offset scaled (designed for the Microsoft TrueType rasterizer).

Note that the behavior of the Use this glyphs metrics operation is undefined for rotated composite components.


Complete Composites

Use the Complete Composites feature to add composite glyph members to your glyphs. To use this powerful feature, select a glyph, or a range of glyphs, right-click and select Complete Composites. The selected glyphs will be composed using data in CompositeData.xml, which is read when FontCreator first uses the feature. This feature works with over two thousand glyphs that are defined in this file. To get the most out of this feature follow these guidelines:

· The selected glyph(s) must be mapped with a Windows Unicode mapping.
· If the selected glyph(s) are empty or simple they will be replaced wherever composites are defined. Do not include simple glyphs in your selection if you don't wish to replace them with composites.
· If the selected glyph(s) are already composites they will be replaced only if the composite glyph members are different, not if their positions or scale factors are different.
· All composite members must be present in the font. If any composite members are mapped, but still empty, the composite glyph will be completed, though obviously missing the contours that have not been defined yet.

Info: Read the documentation about the content of the file CompositeData.xml and an explanation about how to modify and add glyphs. This document is available from our website:

http://www.high-logic.com/fcptutorials.html

Note: Complete Composites is not available in the Home Edition of FontCreator.


Overview

Platform Manager - Overview

With the platform manager you can add or delete specific platforms.

If you want your fonts to work correctly in Windows you should have a Windows Unicode BMP (UCS-2) or a Windows Symbol platform. Because some word processors and DTP applications depend on the Macintosh Roman platform it is also included in almost all fonts.

Note that the ISO platform has been deprecated as of OpenType Specification v1.3.

Press the Add button to add a platform through the Add Platform window. Press the Delete button to remove the selected platform.

The Change button can be used to change between Windows Unicode BMP (UCS-2) and Windows Symbol platforms. But this can result in losing mappings.


Add Platform

Platform Manager - Add Platform

In the Add Platform window select the appropriate platform and Specific Platform Encoding and press the OK button.

Use Add Character to Glyph Index Mappings to inherit mappings from another platform.


 Overview

Naming - Overview

Each platform has its own language items. For each language the Naming fields can be edited in the Naming window. To keep this table short, the font manufacturer may wish to make a limited set of entries in some small set of languages.

Note: The easiest way to give your font a name is to use the AutoNaming wizard available from the Tools menu.

For the Windows (Unicode or Symbol) Platform these naming entries for English - United States should be available:

· Font Family Name
· Font Subfamily Name
· Unique Font Identifier
· Full Font Name
· Version String
· Postscript Name

All these fields should be present, Window 95 etc don't care about these fields but Windows NT, Windows 2000 and Windows XP really expect these fields - without these fields installation will fail.

For historical reasons some applications, which install or use fonts, perform version control using values in the Macintosh platform. Because of this, it is recommended that Macintosh platform exists in all fonts and that the syntax of the Version string follows the guidelines given below. When building a font containing Roman characters that will be used on the Macintosh, additional naming entries for the English language for the Macintosh Roman platform are required.

Note that while both Apple and Microsoft support the same set of name strings, the interpretations may be somewhat different. But since name strings are stored by platform, encoding and language (placing separate strings in for both Apple and MS platforms), this should not present a problem.

The Font Subfamily name field should be used for variants of weight (ultra light to extra black) and style (oblique/italic or not). So, for example, the full font name of "Helvetica Narrow Italic" should be defined as Family name "Helvetica Narrow" and Subfamily "Italic." This is so that Windows can group the standard four weights of a font in a reasonable fashion for non-typographically aware applications, which only support combinations of "bold" and "italic."

In Windows, the Font Family name is displayed in the font menu; the Font Subfamily name is presented as the Style name. The Font Family name will appear as the font name when you select a font in a word processing program, etc.

Copyright notice

The copyright string from the font vendor

Font Family name

The name the user sees. Maximum length is 31 characters.

Font Subfamily name

The name of the style.

For purposes of definition, this is assumed to address style (italic, oblique) and weight (light, bold, black, etc.) only. A font with no particular differences in weight or style (e.g. medium weight, not italic and the Regular Font Design field on the Windows page in the Settings window checked) should have the string "Regular" stored in this position.

Unique font identifier

A unique identifier that applications can store to identify the font being used.

Full font name

This should be a combination of fields Font Family name and Font Subfamily name.

Exception: if the font is "Regular" as indicated in field Font Subfamily name, then use only the family name contained in field Font Family name. This is the font name that Windows will expose to users.

Version string

Must begin with the syntax 'Version n.nn ' (upper case, lower case, or mixed, with a space following the number).

The string must contain a version number of the following form: one or more digits, followed by a period, followed by one or more digits. The first such match in the string can be used by installation software to compare font versions. Note that some older installers may require the string to start with "Version ", followed by a version number as above.

Postscript name

Postscript name for the font. This field should be restricted to the printable ASCII subset, codes 33 through 126, except for the 10 characters: '[', ']', '(', ')', '{', '}', '<', '>', '/', '%'. So it should not contain any spaces. This field should be no longer than 63 characters

Trademark

This is used to save any trademark notice/information for this font. Such information should be based on legal advice. This is distinctly separate from the copyright.

Note to enter non-ASCII characters in a Windows Platform naming field enable Unicode Support or use \<CODE> where <CODE> is a 4-digit hexadecimal number that indicates the Unicode value. To enter non-ASCII characters in a Macintosh platform naming field use \<CODE> where <CODE> is a character code in the Standard Roman Character Set. To enter a backslash type it twice: \\.


Add Language and Locale

Naming - Add Language and Locale

Some platforms allow naming fields for different languages.

The Font subfamily name will be filled for the Windows (Unicode or Symbol) Platform, if available in file subfamily.dat.

Note: For the Windows (Unicode or Symbol) Platform the language English - United States should always be present.


 Advanced Naming

Naming - Advanced Naming

More and more fonts also have some other naming fields embedded. These are made available through the Advanced Naming window where you can enter some specific Font vendor and Designer descriptions. Normally these are only available for the Windows Platform and language English - United States.

Font Vendor

Manufacturer Name

Font Vendor Link

URL of font vendor (with protocol, e.g., http://, ftp://). If a unique serial number is embedded in the URL, it can be used to register the font.

Font Designer

Name of the designer of the typeface.

Font Designer Link

URL of typeface designer (with protocol, e.g., http://, ftp://).

License Agreement

Description of how the font may be legally used, or different example scenarios for licensed use. This field should be written in plain language, not legalese.

License Agreement Link

URL where additional licensing information can be found.

Description

Description of the typeface. Can contain revision information, usage recommendations, history, features, etc.

Compatible Full (Macintosh only)

On the Macintosh, the menu name is constructed using the FOND resource. This usually matches the Full Name. If you want the name of the font to appear differently than the Full Name, you can insert the Compatible Full Name in this field.

Preferred Family (Windows only)

In Windows, the Family name is displayed in the font menu; the Subfamily name is presented as the Style name. For historical reasons, font families have contained a maximum of four styles, but font designers may group more than four fonts to a single family. The Preferred Family and Preferred Subfamily IDs allow font designers to include the preferred family/subfamily groupings. These IDs are only present if they are different from fields Font Family name and Font Subfamily name.

Preferred Subfamily (Windows only)

In Windows, the Family name is displayed in the font menu; the Subfamily name is presented as the Style name. For historical reasons, font families have contained a maximum of four styles, but font designers may group more than four fonts to a single family. The Preferred Family and Preferred Subfamily fields allow font designers to include the preferred family/subfamily groupings. These fields are only present if they are different from fields Font Family name and Font Subfamily name.

Sample Text

This can be the font name, or any other text that the designer thinks is the best sample to display the font in.

PostScript CID Findfont Name

Its presence in a font means that the Postscript name field in the Naming window holds a PostScript font name that is meant to be used with the "composefont" invocation in order to invoke the font in a PostScript interpreter.

This field must be restricted to the printable ASCII subset, codes 33 through 126, except for the 10 characters: '[', ']', '(', ')', '{', '}', '<', '>', '/', '%'.


Edit Naming Field

Naming - Edit Naming Field

Some Naming fields can be modified within the Edit Naming Field window accessed by pressing the [...] button.

The Load and Save button can be used to open and save the text.


 Character to Glyph Index Mappings

Mappings - Character to Glyph Index Mappings

A character encoding is a table in a font, which maps character codes to the relevant shape (glyph) in a font. Not all operating systems use the same character encoding, with Macintosh and Windows using different systems.

Select the appropriate platform and glyph and then modify the Character to Glyph Index Mappings. Each platform uses an encoding format that can be changed. Normally this format should not be changed.

Don't use Unicode ranges 0xD800 - 0xDBFF (High Surrogate Area) and 0xDC00 - 0xDFFF (Low Surrogate Area) to assign characters as these areas are reserved for use with UTF-16.

Encoding Format

All Windows platforms (Unicode and Symbol) must provide at least a Segment mapping to delta values encoding format.

If the font is meant to support UCS-4 (surrogate) characters, it will additionally need a Windows Unicode UCS-4 platform with Segmented coverage encoding format. Use the Platform Manager to add new platforms.

To enable backward compatibility needs, the contents of the Segmented coverage mappings need to be a superset of the contents of the Segment mapping to delta values mappings, so the first 64k codepoint to glyph mappings must be identical. To meet this requirement press the Include Windows Unicode BMP (UCS-2) button.

The High-byte mapping through table encoding format is useful for the national character code standards used for Japanese, Chinese, and Korean characters.

When building a font containing Roman characters that will be used on the Macintosh, an additional Macintosh Roman platform is required. Macintosh (Apple) platforms standard encoding format is Byte encoding table, however High-byte mapping through table, Segment mapping to delta values and Trimmed table mapping are also allowed. When using the Byte encoding table only the first 256 glyphs will be accessible.

Note the Trimmed table mapping is not a common encoding format although sometimes used with the Macintosh platforms.

If available the Unicode platforms should use the Segment mapping to delta values encoding format.

Note: Character codes that do not correspond to any glyph in the font will be mapped to glyph index 0 even when there is no such mapping in the font. The glyph at this location must be a special glyph representing a missing character.

Because some word processors and DTP applications depend on the Macintosh Roman mappings they should be included as well.

All glyphs will be available for word processing and illustration programs through their mappings. Not all glyphs have mappings because some glyphs are only used internally for making the composite glyphs.

Windows uses a Unicode or a Symbol mapping scheme. This does not mean that all versions of Microsoft's Windows support all mappings.

Note: All numbers are in decimal (for example 383) or hexadecimal (for example 0x017F) format. You can switch between these formats in the Options window on the General page, available through Options from the Tools menu.

Symbol character sets have a special meaning. All of the characters in the Unicode range 0xF000 - 0xF0FF (this is the Private Use Area of Unicode) will be used to enumerate the symbol character set. Microsoft suggests deriving the symbol encodings by simply adding 0xF000 to the Macintosh encodings.

Note: only the first 224 characters of symbol fonts will be accessible, a space and up to 223 printing characters.


Add Character to Glyph Index Mapping

Mappings - Add Character to Glyph Index Mapping

By clicking on the Select button, in the Character to Glyph Index Mappings window, a new window will pop up. Here you can select a Unicode value.

Note: If you take a look at the first two blocks (Basic Latin and Latin-1 Supplement) you'll notice that glyph mappings between 0 and 31 and between 127 and 159 are not accessible in Windows.

The steps below map a glyph to a character, this way you can use the glyph in many sophisticated word processors and most DTP applications:

· In the Glyph Overview window select the glyph you want to map to a specific character
· Right click on it and select Properties
· Go to the Mappings tab to open the Mappings page
· Select a Windows platform (e.g. Microsoft Unicode BMP (UCS-2) or Microsoft Symbol)
· Press the Select button
· In the top pane select a block to which the glyph belongs but do not press the OK button at this stage.
· Now in the bottom pane select a character that matches your glyph. You should only select a character that hasn't already got a glyph assigned.
· For example select the "Latin Extended-B" block. (Select "Basic Latin" and select "LATIN SMALL LETTER A" when you want to assign glyph "a") and press the OK button.


Glyph Already Mapped

Mappings - Glyph Already Mapped

For each platform a character to glyph index mapping can only exist once, so if you try to add a mapping that already exists this Glyph Already Mapped window will ask you what to do.

Overruling a previous mapping will remove this previous mapping and the current mapping will be added.


Overview

Kerning - Overview

Kerning is the reducing/ increasing of the space allocated between two glyphs to make them fit more comfortably. Sometimes you want the bearings to be different in special situations. When you want to change the distance between two characters you could use kerning pairs. For example the A and the V could be closer (AV) together than TV.

Not all Operating Systems and applications support kerning. If they don't support kerning they simply ignore the kerning pairs. Many sophisticated word processors and most DTP applications have kerning support.

You can use the Preview toolbar to test the kerning pairs. You can also install the font and use an application that supports kerning.

Tip: Although the Test Font window doesn't support kerning, it does temporarily install the font. The name of the temporarily installed font looks like FC Test Font 012345. So while the Test Font window is open, you will be able to use the font in any application (e.g. Word). However, when you open the Test Font window again you'll have to change the font's name in the application, because the temporary font name always changes.

In Microsoft Office Word select Font from the Format menu and select the Character Spacing tab. There you can turn on kerning in Word by checking the kerning for fonts field.

Note: Kerning in Symbol fonts won't be used in Microsoft Word.

Select Kerning from the Format menu to open the Kerning window. Show or hide the grid and bearing lines, or change the colors from the buttons at the top of the dialog. The advance width of each glyph of the current kerning pair is shown with the side bearing lines.

On the left side you can select a kerning pair from the list of already assigned kerning pairs. Type a letter to go to the first kerning pair using that letter (this is case-sensitive). To change the kerning value use the left/right cursor keys. Hold down Shift to increase the step from 10 funits to 100 funits, hold down Control to reduce the step to 1 funit. To use the mouse, drag the second glyph of the kerning pair to the left or right with the hand cursor. You can also use the scrollbar or change the value in the edit field. Using the scrollbar slider handle moves along in units of 192. Clicking on the scrollbar between slider handle and end arrows moves along in units of 10. Clicking on the end arrows moves along in units of 1.

Use the Import and Export buttons to load and save kerning pair information.

Press the Clean Up button, to remove all kerning pairs that have a kerning value of 0 as well as all pairs that are made up with glyphs that are not connected to the Windows Unicode BMP (UCS-2) platform.

To delete all kerning pairs at once, right-click on the list view and select Delete all or press the Delete All button .

Press the New button to add new kerning pairs. Click the Delete button to remove the selected kerning pair.

Note: According to the official TrueType and OpenType specifications, the maximum number of kerning pairs is 10920, but FontCreator does allow up to 65535 kerning pairs.

See also:

Automatic Kerning


New Kerning Pair

Kerning - New Kerning Pair

In the New Kerning Pair window select both left and right glyphs and press the OK button. Now you can alter the kerning value for this new pair in the Kerning window.

See also:

Kerning - Overview

Automatic Kerning


 Post

Post

In the Postscript Names window (select Post command from the Format menu) you can edit the postscript names for all glyphs. Normally the postscript names are related to the mappings. Postscript names are not always included, especially in large fonts the postscript names are left out.

Windows does not actually require Postscript name information for the glyphs. However it is recommend to include the postscript names because some word processors and DTP applications depend on this information. Also the printing behavior of fonts that have not included the postscript names is unspecified on PostScript printers, except that it should not result in a fatal or unrecoverable error. Some drivers may print nothing, other drivers may attempt to print using a default naming scheme.

To alter a postscript name, select the appropriate glyph and use the text box to enter the postscript name. Press the Generate Name(s) button to let FontCreator fill in the field(s).

Use Force Valid Names, to ensure the fields contain only valid characters. Valid characters are 'a' to 'z', 'A' to 'Z', '0' to '9', underscore ('_'), and the period ('.'), however the name must not start with a period.


 Overview

Smoothing - Overview

The Smoothing window contains information, which describes the preferred rasterization techniques for the typeface when it is rendered on grayscale-capable devices. It also has some use for monochrome devices, which may use the table to turn off hinting at very large or small sizes, to improve performance.

If there are no ranges defined in a typeface, the rasterizer may apply default rules to decide how to render the glyphs on grayscale devices. The rasterizer will use the ClearType related values, if ClearType is enabled.

Note: Grayscale rendering and smoothing is invented for screen output and will not be used by printer drivers.

At very small sizes, the best appearance on grayscale devices can usually be achieved by rendering the glyphs in grayscale without gridfitting. At intermediate sizes, gridfitting (also known as hinting) and monochrome rendering will usually produce the best appearance. At large sizes, the combination of gridfitting and grayscale rendering will typically produce the best appearance.

To add a new range press the Insert button. To remove a range select it and press the Delete button. To remove all ranges, right-click the list view and select Delete All.


Add Gasp

Smoothing - Insert Range

In the Insert Range window set the Upper limit and optionally check the Standard and ClearType fields and press the OK button.

See also:

Smoothing - Overview


 PCL 5

PCL 5

The PCL5 window allows you to edit the PCL5 data. The PCL5 data is not required, so it’s good practice not to include it. Including PCL5 data for OpenType fonts with TrueType outlines is strongly discouraged.

Note: Extra information on many of these fields can be found in the HP PCL 5 Printer Language Technical Reference Manual available from Hewlett-Packard Boise Printer Division.

Font Format

Indicates native versus converted format. Only font vendors should create fonts with this field set to Native.

Vendor Code

Is assigned by Hewlett-Packard Boise Printer Division to major font vendors.

Vendor codes:

A Adobe Systems

B Bitstream Inc.

C Agfa Corporation

H Bigelow & Holmes

L Linotype Company

M Monotype Typography Ltd.

Unique Number

Is assigned by the vendor. Font vendors should attempt to insure that each of their fonts are marked with unique values.

Style - Structure, Width and Posture

Are assigned by the vendor.

TypeFamily - Vendor code and Typeface family code

Are assigned by HP Boise Division.

SymbolSet - Number field and ID field

Symbol set values are assigned by HP Boise Division.

Pitch

The width of the space in Funits (Funits are described by the unitsPerEm field of the 'head' table). This value should match the advance width value of the glyph that is mapped to the space character. Monospace fonts derive the width of all characters from this field.

xHeight

The height of the optical line describing the height of the lowercase x in Funits. This might not be the same as the measured height of the lowercase x.

CapHeight

The height of the optical line describing the top of the uppercase H in Funits. This might not be the same as the measured height of the uppercase H.

StrokeWeight

This field contains the PCL stroke weight value.

Type designers often use interesting names for weights or combinations of weights and styles, such as Heavy, Compact, Inserat, Bold No. 2, etc. PCL stroke weights are assigned on the basis of the entire family and use of the faces. Typically, display faces don't have a "text" weight assignment.

WidthType

This field contains the PCL appearance width value. The values are not directly related to those in the With field.

SerifStyle

This field contains the PCL serif style value. The most significant 2 bits of this byte specify the serif/sans or contrast/monoline characteristics of the typeface.

Bottom 6 bit values:

0 Sans Serif Square

1 Sans Serif Round

2 Serif Line

3 Serif Triangle

4 Serif Swath

5 Serif Block

6 Serif Bracket

7 Rounded Bracket

8 Flair Serif, Modified Sans

9 Script Nonconnecting

10 Script Joining

11 Script Calligraphic

12 Script Broken Letter

Top 2 bit values:

0 reserved

1 Sans Serif/Monoline

2 Serif/Contrasting

3 reserved

TypeFace

This 16-byte ASCII string appears in the "font print" of PCL printers. Care should be taken to insure that the base string for all typefaces of a family are consistent, and that the designators for bold, italic, etc. are standardized.

CharacterComplement

This 8-byte field identifies the symbol collections provided by the font, each bit identifies a symbol collection and is independently interpreted. Symbol set bound fonts should have this field set to all F's (except bit 0).

Examples:

0xFFFFFFFF003FFFFE - DOS/PCL Complement

0xFFFFFFFF37FFFFFE - Windows 3.1 "ANSI"

0xFFFFFFFF36FFFFFE - Macintosh

0xFFFFFFFF3BFFFFFE - ISO 8859-1 Latin 1

0xFFFFFFFF0BFFFFFE - ISO 8859-1,2,9 Latin 1,2,5

The character collections identified by each bit are as follows:

31 ASCII (supports several standard interpretations)

30 Latin 1 extensions

29 Latin 2 extensions

28 Latin 5 extensions

27 Desktop Publishing Extensions

26 Accent Extensions (East and West Europe)

25 PCL Extensions

24 Macintosh Extensions

23 PostScript Extensions

22 Code Page Extensions

The character complement field also indicates the index mechanism used with an unbound font. Bit 0 must always be cleared when the font elements are provided in Unicode order.

FileName

This 6-byte field is composed of 3 parts. The first 3 bytes are an industry standard typeface family string. The fourth byte is a treatment character, such as R, B, I. The last two characters are either zeroes for an unbound font or a two character mnemonic for a symbol set if symbol set found.

Examples:

TNRR00 - Times New (text weight, upright)

TNRI00 - Times New Italic

TNRB00 - Times New Bold

TNRJ00 - Times New Bold Italic

COUR00 - Courier

COUI00 - Courier Italic

COUB00 - Courier Bold

COUJ00 - Courier Bold Italic

Treatment Flags:

R Text, normal, book, etc.

I Italic, oblique, slanted, etc.

B Bold

J Bold Italic, Bold Oblique

D Demibold

E Demibold Italic, Demibold Oblique

K Black

G Black Italic, Black Oblique

L Light

P Light Italic, Light Oblique

C Condensed

A Condensed Italic, Condensed Oblique

F Bold Condensed

H Bold Condensed Italic, Bold Condensed Oblique

S Semibold (lighter than demibold)

T Semibold Italic, Semibold Oblique

other treatment flags are assigned over time.


 Tables

Tables

Over the years the TrueType and OpenType font specifications have been updated with new tables. FontCreator supports 16 tables (four tables are related to hinting and are only partly supported). All other tables are not supported.

When a font file is opened FontCreator loads all tables into memory, except for those tables that are excluded by settings from the Options window. Unsupported tables are saved back into the font file without modifications.

The preferred table ordering is defined in the file TableOffsetOrder.txt. Although this is the recommended order for OpenType fonts with TrueType outlines in the Windows operating system, you can add, remove and change the order of these tables.

If you want to remove all hinting related data press the Remove Hinting button.

If you want to delete an unsupported table, select the table on the Unsupported page and press the Delete button.


Overview

Settings - Header - Overview

Global and horizontal layout information about the font is found on the Header page (Font Settings window). On the Format menu, click Settings, and then click the Header tab.

Contents and Layout Version

After version 0 some fields became deprecated, or have been updated, while additional fields where included:

Version 1 includes the Code Page Character Range.

Version 2 updated Unicode Character Ranges and includes the Additional Metrics fields.

Version 3 updated Unicode Character Ranges.

Version 4 changed deprecated font direction hint.

Font revision Version

Set by the font manufacturer.

Note: For historical reasons, the Font revision version is not used by Windows to determine the version of a font. Instead, Windows evaluates the version string from the Naming window.

Units Per Em

Valid range is from 16 to 16384. This value should be a power of 2 for fonts that have TrueType outlines. Nowadays 2048 units per em value is the best value for all fonts of any size including large Latin or non-Latin script fonts.

This value is used to convert values in the pixel coordinate system by multiplying them by a scale. This scale is:

pointSize * resolution / ( 72 points per inch * units_per_em )

Smallest read. size

Smallest readable size in pixels. Most fonts have this value set to 9.

Font direction hint

Select the appropriate field. Most Latin fonts have this value set to Only strong left to right.

Note: A neutral character has no inherent directionality; it is not a character with zero (0) width. Spaces and punctuation are examples of neutral characters. Non-neutral characters are those with inherent directionality. For example, Roman letters (left-to-right) and Arabic letters(right-to-left) have directionality. In a "normal" Roman font where spaces and punctuation are present, the font direction hints should be set to Strong left to right, contains neutrals.

Font Header Flags

This field is used to specify the global information about the font. Press the Edit button to modify this field through the Font Header Flags window.

Font Embedding - Licensing Rights

Indicates font embedding licensing rights for the font.

Press the Edit button to modify this field through the Font Embedding Licensing Rights window.

Created

The date and time the font was created, press the Now button to set these fields to the current date and time.

Modified

The date and time the font was last modified, press the Now button to set these fields to the current date and time.

Font Vendor - Identification

This is not the royalty owner of the original artwork. This is the company responsible for the marketing and distribution of the typeface that is being classified. It is reasonable to assume that there will be 6 vendors of ITC Zapf Dingbats for use on desktop platforms in the near future (if not already). It is also likely that the vendors will have other inherent benefits in their fonts (more kern pairs, unregularized data, hand hinted, etc.). This identifier will allow for the correct vendor's type to be used over another, possibly inferior, font file. This field is not required.

Microsoft has assigned values for some font suppliers. Uppercase vendor ID's are reserved by Microsoft. Other suppliers can choose their own mixed case or lowercase ID's, or leave the field blank.


 Font Header Flags

Settings - Header - Font Header Flags

The Font Header Flags give global information about the font.

Baseline for font at y=0

Set this field when the baseline for all glyphs is at y= 0 (that is, the x-axis).

Left side bearing point at x=0

Set this field when the x-position of the leftmost black bit is assumed to be the left side bearing.

Instructions may depend on point size

Set this flag when there are instructions that depend on point size. Instructions may use point size explicitly in place of pixels per em. This means that scaling a 12 point screen font to obtain the equivalent printer font may not produce the identical result as requesting a 12 point printer font.

Force ppem to integer values for all internal scaler math

When this field is selected integer scaling will be used instead of fractional scaling. Fractional ppem sizes may be used if this field is not selected.

Instructions may alter advance width

When this field is set it allows the font to alter device dependent widths (the advance widths might not scale linearly).

Apple specific field 5

This field should be set in fonts that are intended to be laid out vertically, and in which the glyphs have been drawn such that an x-coordinate of 0 corresponds to the desired vertical baseline.

Reserved

Reserved, do not check this field

Apple specific field 7

This field should be set if the font requires layout for correct linguistic rendering (e.g. Arabic fonts).

Apple specific field 8

This field should be set for a GX font which has one or more metamorphosis effects designated as happening by default.

Apple specific field 9

This field should be set if the font contains any strong right-to-left glyphs.

Apple specific field 10

This field should be set if the font contains Indic-style rearrangement effects.

Font data is 'lossless'

Set this flag when font data is 'lossless', as a result of having been compressed and decompressed with the Agfa MicroType Express engine.

Font converted

Set this flag when the font is converted (produce compatible metrics).

Font optimised for ClearType

Set this field if the font is optimised for ClearType

Reserved

Reserved, do not check this field

Reserved

Reserved, do not check this field

Note: The Apple specific fields should be set according to Apple's specification. However, they are not implemented in OpenType.


Font Embedding - Licensing Rights

Settings - General - Font Embedding Licensing Rights

Embeddable fonts may be stored in a document. When a document with embedded fonts is opened on a system that does not have the font installed (the remote system), the embedded font may be loaded for temporary (and in some cases, permanent) use on that system by an embedding-aware application. Embedding licensing rights are granted by the vendor of the font.

Comments: If multiple embedding flags are set, the least restrictive license granted takes precedence. For example, Restricted License embedding and Editable embedding are set, Editable embedding takes precedence over Restricted License embedding and the font may be embedded with editable rights. For compatibility purposes, most vendors granting Editable embedding rights are also setting the Preview & Print flag. This will permit an application that only supports Preview & Print embedding to detect that font embedding is allowed.

Installable embedding

Fonts that have none of the flags set are installable embedding fonts. Fonts with this setting indicate that they may be embedded and permanently installed on the remote system by an application. The user of the remote system acquires the identical rights, obligations and licenses for that font as the original purchaser of the font, and is subject to the same end-user license agreement, copyright, design patent, and/or trademark as was the original purchaser.

Restricted License embedding

Fonts that have this flag set must not be modified, embedded or exchanged in any manner without first obtaining permission of the legal owner. Caution: note that for Restricted License embedding to take effect, it must be the only level of embedding selected (as noted in the previous paragraph).

Preview & Print embedding

Fonts with this flag set indicate that they may be embedded within documents but must only be installed temporarily on the remote system. Any document which includes a Preview & Print embedded font must be opened "read-only;" the application must not allow the user to edit the document; it can only be viewed and/or printed.

Editable embedding

Fonts with this flag set indicate that they may be embedded in documents, but must only be installed temporarily on the remote system. In contrast to Preview & Print fonts, documents containing Editable fonts may be opened "read-write;" editing is permitted, and changes may be saved.

No subsetting

When this flag is set, the font may not be subsetted prior to embedding.

Bitmap embedding only

When this flag is set, only bitmaps contained in the font may be embedded. No outline data may be embedded.


 General

Settings - General - Overview

This page consists of a set of metrics. On the Format menu, click Settings, and then click the General tab.

Subscript, horizontal

The recommended horizontal size in font design units for subscripts for this font.

Subscript, vertical

The recommended vertical size in font design units for subscripts for this font.

Subscript x offset

The recommended horizontal offset in font design units for subscripts for this font.

Subscript y offset

The recommended vertical offset in font design units from the baseline for subscripts for this font.

Superscript, horizontal

The recommended horizontal size in font design units for superscripts for this font.

Superscript, vertical

The recommended vertical size in font design units for superscripts for this font.

Superscript x offset

The recommended horizontal offset in font design units for superscripts for this font.

Superscript y offset

The recommended vertical offset in font design units from the baseline for superscripts for this font.

Strikeout size

Width of the strikeout stroke in font design units. This field should normally be the width of the em dash for the current font. If the size is one, the strikeout line will be the line represented by the strikeout position field. If the value is two, the strikeout line will be the line represented by the strikeout position and the line immediately above the strikeout position. For a Roman font with a 2048 em square, 102 is suggested.

Strikeout position

The position of the strikeout stroke relative to the baseline in font design units. The value of strikeout position should not interfere with the recognition of standard characters, and therefore should not line up with crossbars in the font. For a Roman font with a 2048 em square, 460 is suggested.

Italic Angle

Italic angle in counter-clockwise degrees from the vertical. Zero for upright text, negative for text that leans to the right (forward). This value should be in agreement with the Caret Slope Rise and Caret Slope Run values.

Underline Position

Suggested values for the underline position (negative values indicate below baseline).

Underline Thickness

Suggested values for the underline thickness.

Note: Word processing applications decide whether they use these underlinePosition and underlineThickness values or use their own defaults.

Warning: Some Word processors may crash when this value is set to zero.

Fixed Pitch

Set to 0 if the font is proportionally spaced, non-zero if the font is not proportionally spaced (i.e. monospaced).

Caret Slope Rise

Used to calculate the slope of the cursor (rise/run); 1 for vertical

Caret Slope Run

0 for vertical.

Caret Offset

The amount by which a slanted highlight on a glyph needs to be shifted to produce the best appearance. Set to 0 for non-slanted fonts.

Caret Slope Rise and Caret Slope Run are typographical values and should match with Italic Angle. To accomplish this press the Calculate button.

The rise and run are used by Windows to slant the cursor (or “Caret”) to the italic angle of the font. These values can be calculated as above or by measuring the font. In an upright font the caretSlopeRise is usually set to 1 and the caretSlopeRun is always 0. To obtain the caretSlopeRise and caretSlopeRun measure the slant of the font. It is common to use the Uppercase Flat height for the caretSlopeRise.

The illustration shows how to use the measuring tool in points mode to determine the italic angle of the font. It shows that the caretSlopeRun is 307 and the caretSlopeRise is 1466. However, the angle is measured from the horizontal. The italic angle is measured from the vertical, so we must calculate 90 – 78.17 = 11.83°

Tan 11.83° = 0.209 and 307/1466 = 0.209


 Metrics

Settings - Metrics

This page consists of a set of spacing fields and font design flags. On the Format menu, click Settings, and then click the Metrics tab.

Average Character Width

This field currently has two different descriptions that depend on the Version field.

For version 0, 1 and 2:

The Average Character Width parameter specifies the arithmetic average of the escapement (width) of all of the 26 lowercase letters a through z of the Latin alphabet and the space character. If any of the 26 lowercase letters are not present, this parameter should equal the weighted average of all glyphs in the font. For Symbol fonts use the unweighted average.

Comments: This parameter is a descriptive attribute of the font that specifies the spacing of characters for comparing one font to another for selection or substitution. For proportionally spaced fonts, this value is useful in estimating the length for lines of text. The weighting factors provided with this example are only valid for Latin lowercase letters. If other character sets, or capital letters are used, different frequency of use values should be used. One needs to be careful when comparing fonts that use different frequency of use values for font mapping. The average character width is calculated according to this formula: For the lowercase letters only, sum the individual character widths multiplied by the following weighting factors and then divide by 1000. For example:

Letter Weight Factor

a 64

b 14

c 27

d 35

e 100

f 20

g 14

h 42

i 63

j 3

k 6

l 35

m 20

n 56

o 56

p 17

q 4

r 49

s 56

t 71

u 31

v 10

w 18

x 3

y 18

z 2

space 166

For version 3 and 4:

The Average Character Width parameter specifies the arithmetic average of the escapement (width) of all non-zero width glyphs in the font.

Use the Calculate button to calculate the Average weighted escapement based on the current metrics.

Note: it is not necessary to modify this field when Recalc average char width is selected on the Font tab in the Options window (available through the Tools menu).

Typo Ascender

The typographic ascender for this font. Remember that this is not the same as the Ascender value in the Header tab, which Apple defines in a far different manner.

The suggested usage for TypoAscender is that it be used in conjunction with unitsPerEm to compute a typographically correct default line spacing. The goal is to free applications from Macintosh or Windows-specific metrics which are constrained by backward compatibility requirements. These new metrics, when combined with the character design widths, will allow applications to lay out documents in a typographically correct and portable fashion.

For CJK (Chinese, Japanese, and Korean) fonts that are intended to be used for vertical writing (in addition to horizontal writing), the required value for TypoAscender is that which describes the top of the design space (aka, em-square). For example, if the design space of the font extends from coordinates 0,-120 to 1000,880 (that is, a 1000x1000 box set 120 design units below the Latin baseline), then the value of TypoAscender must be set to 880. Failing to adhere to these requirements will result in incorrect vertical layout.

Typo Descender

The typographic descender for this font. Remember that this is not the same as the Descender value in the Header tab, which Apple defines in a far different manner.

The suggested usage for Typo Descender is that it be used in conjunction with unitsPerEm to compute a typographically correct default line spacing. The goal is to free applications from Macintosh or Windows-specific metrics, which are constrained by backward compatibility requirements. These new metrics, when combined with the character design widths, will allow applications to lay out documents in a typographically correct and portable fashion.

For CJK (Chinese, Japanese, and Korean) fonts that are intended to be used for vertical writing (in addition to horizontal writing), the required value for Typo Descender is that which describes the bottom of the design space (aka, em-square). For example, if the design space of the font extends from coordinates 0,-120 to 1000,880 (that is, a 1000x1000 box set 120 design units below the Latin baseline), then the value of Typo Descender must be set to -120. Failing to adhere to these requirements will result in incorrect vertical layout.

Typo Line Gap

The typographic line gap for this font. Remember that this is not the same as the Line Gap value, which Apple defines in a far different manner.

The suggested usage for Typo Line Gap is that it be used in conjunction with Units per em to compute a typographically correct default line spacing. Typical values average 7-10% of units per em.

Win Ascent

The ascender metric for Windows. This, too, is distinct from Apple's Ascender value and from the Typo Ascender value. Win Ascent is computed as the yMax for all characters in the Windows ANSI character set. Win Ascent is used to compute the Windows font height and default line spacing. For Symbol fonts, it is the same as yMax.

Win Descent

The descender metric for Windows. This, too, is distinct from Apple's Descender value and from the Typo Descender value. Win Descent is computed as the -yMin for all characters in the Windows ANSI character set. Win Descent is used to compute the Windows font height and default line spacing. For Symbol fonts, it is the same as -yMin.

Use typo metrics for line spacing

If set, it is strongly recommended to use Typo Ascender - Typo Descender + Typo Line Gap as a value for default line spacing for this font.

Ascender (Macintosh-specific)

Typographic ascent

Descender (Macintosh-specific)

Typographic descent

Line Gap (Macintosh-specific)

Typographic line gap. Negative Line Gap values are treated as zero.

Tip: To automatically calculate ascender and descender values press the Calculate button.

Additional Metrics

x-Height

This metric specifies the distance between the baseline and the approximate height of non-ascending lowercase letters measured in Funits. This value would normally be specified by a type designer but in situations where that is not possible, for example when a legacy font is being converted, the value may be set equal to the top of the unscaled and unhinted glyph bounding box of the glyph encoded at U+0078 (LATIN SMALL LETTER X). If no glyph is encoded in this position the field should be set to 0.

This metric, if specified, can be used in font substitution: the xHeight value of one font can be scaled to approximate the apparent size of another.

CapHeight

This metric specifies the distance between the baseline and the approximate height of uppercase letters measured in Funits. This value would normally be specified by a type designer but in situations where that is not possible, for example when a legacy font is being converted, the value may be set equal to the top of the unscaled and unhinted glyph bounding box of the glyph encoded at U+0048 (LATIN CAPITAL LETTER H). If no glyph is encoded in this position the field should be set to 0.

This metric, if specified, can be used in systems that specify type size by capital height measured in millimeters. It can also be used as an alignment metric; the top of a drop capital, for instance, can be aligned to the CapHeight metric of the first line of text.

MaxContext

The maximum length of a target glyph context for any feature in this font. For example, a font which has only a pair kerning feature should set this field to 2. If the font also has a ligature feature in which the glyph sequence 'f f i' is substituted by the ligature 'ffi', then this field should be set to 3. This field could be useful to sophisticated line-breaking engines in determining how far they should look ahead to test whether something could change that effects the line breaking. For chaining contextual lookups, the length of the string (covered glyph) + (input sequence) + (lookahead sequence) should be considered.

DefaultChar

Whenever a request is made for a character that is not in the font, Windows provides this default character. If the value of this field is zero, glyph ID 0 is to be used for the default character otherwise this is the Unicode encoding of the glyph that Windows uses as the default character.

BreakChar

This is the Unicode encoding of the glyph that Windows uses as the break character. The break character is used to separate words and justify text. Most fonts specify that 'space' is the break character.


Classification

Settings - Classification

The Classification page is used to alter the PANOSE and font family fields. On the Format menu, click Settings, and then click the Classification tab.

Classification - Weight

Indicates the visual weight (degree of blackness or thickness of strokes) of the characters in the font.

Classification - Width

Indicates a relative change from the normal aspect ratio (width to height ratio) as specified by a font designer for the glyphs in a font.

Note: Although every character in a font may have a different numeric aspect ratio, each character in a font of normal width has a relative aspect ratio of one. When a new type style is created of a different width class (either by a font designer or by some automated means) the relative aspect ratio of the characters in the new font is some percentage greater or less than those same characters in the normal font -- it is this difference that this parameter specifies.

Font-family

These fields are a classification of the font-family design.

The font class and font subclass are registered values assigned by IBM to each font family. These fields are intended for use in selecting an alternate font when the requested font is not available. The font class is the most general and the font subclass is the most specific. More information about this field is available online:

http://www.microsoft.com/typography/otspec/ibmfc.htm

Font Design

Contains information concerning the nature of the font patterns, as follows:

Regular | Characters are in the standard weight/style for the font.
Bold | Characters are emboldened.
Italic | Font contains italic or oblique characters, otherwise they are upright.
Underscore | Characters are underscored.
Outlined | Outline (hollow) characters, otherwise they are solid.
Strikeout | Characters are overstruck.
Negative | Characters have their foreground and background reversed.
Oblique | Font contains oblique characters.

Comments: These fields contain information on the original design of the font. Italic and Bold can be used to determine if the font was designed with these features or whether some type of machine simulation was performed on the font to achieve this appearance. Underscore, Negative, Outlined and Strikeout are rarely used fields that indicate the font is primarily a decorative or special purpose font.

If the Regular flag is set, then the Italic and Bold flags must be clear, else the behavior is undefined. The settings of the Italic and Bold flags must be reflected in the Mac Style flags. While the Regular flag set implies that both Mac Style flags Italic and Bold are clear (along with the Font Design flags Italic and Bold), the reverse is not true. The Mac Style flags (and the Font Design flags Italic and Bold) may be clear and that does not give any indication of whether or not the Regular flag is clear (e.g., Arial Light would have all flags cleared; it is not the regular version of Arial).

Mac Style

If the font is bold set the Bold flag

If the font is Italic set the Italic flag

If the font is both bold and italic set both Bold and Italic flags.

Set other flags as required.

Note that Mac Style fields should agree with the Font Design fields. These Font Design fields are used over the Mac Style fields. The PANOSE values in the Classification tab and 'post' settings in the post tab are ignored for determining bold or italic fonts.


Overview

Settings - Ranges - Overview

The Ranges page on the Font Settings window has several fields related to character ranges and additional metrics. On the Format menu, click Settings, and then click the Ranges tab.

Unicode Character Ranges

This field is used to specify the Unicode blocks or ranges encompassed by the font file in the mappings for the Windows platform. The Ranges depend on the selected Content and Layout version. Press the Edit button to modify this field through the Unicode Character Range window or press the Calculate button the generate the value.

Code Page Character Ranges

This field is used to specify the code pages encompassed by the font file in the mappings for the Windows platform. Press the Edit button to modify this field through the Code Page Character Range window or press the Calculate button the generate the value.


Unicode Character Range

Settings - Ranges - Unicode Character Range

This field is used to specify the Unicode blocks or ranges encompassed by the font file in the mappings for the Windows platform. If a Unicode range is selected it is considered functional. The determination of "functional" is left up to the font designer, although character set selection should attempt to be functional by ranges if at all possible.


Code Page Character Range

Settings - Ranges - Code Page Character Range

This field is used to specify the code pages encompassed by the font file in the mappings for the Windows platform. If the Windows platform is Windows Symbol, then the Symbol Character Set should be selected.

If a code page is selected then the code page is considered functional. The determination of "functional" is left up to the font designer, although character set selection should attempt to be functional by code pages if at all possible.

Note: Symbol character sets have a special meaning. If the Symbol Character Set is selected, and the font file contains a Windows Symbol platform, then all of the characters in the Unicode range 0xF000 - 0xF0FF (inclusive) will be used to enumerate the symbol character set. If this code page is not selected, any characters present in that range will not be enumerated as a symbol character set.


 Panose

Settings - Panose

This page contains information needed to use TrueType fonts on PostScript printers. On the Format menu, click Settings, and then click the Post tab.

PANOSE

These fields are used to describe the visual characteristics of a given typeface. These characteristics are then used to associate the font with other fonts of similar appearance having different names. The PANOSE evaluation document details the specifications for assigning PANOSE numbers.

http://www.panose.com/


 Font Properties

Font Properties

Information about the font is found on the Font Properties page (from the Font menu).

These fields can't be modified directly as they are calculated and depend on other font related data, but you can double-click a row, to jump to the specific glyph.

NumGlyphs

The number of glyphs in the font.

maxPoints

Maximum points in a non-composite glyph.

maxContours

Maximum contours in a non-composite glyph.

maxCompositePoints

Maximum points in a composite glyph.

maxCompositeContours

Maximum contours in a composite glyph.

maxZones

1 if instructions do not use the twilight zone (Z0), or 2 if instructions do use Z0; should be set to 2 in most cases.

maxTwilightPoints

Maximum points used in Z0.

maxStorage

Number of Storage Area locations.

maxFunctionDefs

Number of FDEFs.

maxInstructionDefs

Number of IDEFs.

maxStackElements

Maximum stack depth. This includes Font and CVT Programs, as well as the instructions for each glyph.

maxSizeOfInstructions

Maximum byte count for glyph instructions.

maxComponentElements

Maximum number of components referenced at "top level" for any composite glyph.

maxComponentDepth

Maximum levels of recursion; 1 for simple components.

X Minimum for all glyph bounding boxes

Y Minimum for all glyph bounding boxes

X Maximum for all glyph bounding boxes

Y Maximum for all glyph bounding boxes

The bounding box values computed using only glyphs that have contours.

advanceWidthMax

Maximum advance width value

minLeftSideBearing

Minimum left side bearing value

minRightSideBearing

Minimum right side bearing value

xMaxExtent

Maximum extent value

usFirstCharIndex

The minimum Unicode index (character code) in this font, according to the Windows Unicode BMP (UCS-2) or Windows Symbol mapping table. For most fonts supporting Win-ANSI or other character sets, this value would be 0x0020.

usLastCharIndex

The maximum Unicode index (character code) in this font, according to the Windows Unicode BMP (UCS-2) or Windows Symbol mapping table. This value depends on which character sets the font supports.


Glyph Transformer

The Transform wizard can be selected from the Tools menu. Glyph transformations are scripts for changing the shape and size of glyphs, and for automating other repetitive tasks.

FontCreator comes with more than 40 powerful scripts. There are scripts that allow you to change a font into an italic or bold version. Other scripts extend a font's range by adding characters for Greek Extended, Eastern Europe, Vietnamese, Ligatures, Small Capitals, and more. Each script contains descriptive comments and advice on how to use it.

These scripts can be modified to suit your needs, and you can compose custom scripts by adding commands from the list of available features on the left. Save them to use again later using the save icon, and load a saved script using the folder icon. Press the OK button to execute the currently loaded script on the current glyph in the glyph edit window, on the selected glyphs, or on the entire font.

Tip: Save the font and copy the selected glyphs before using the Transform wizard, as this operation is not undoable.

Info: If you really want to take the most out of this feature, we encourage you to read the document Using Glyph Transformations, available from our website:

http://www.high-logic.com/fcptutorials.html

Note: The Transform wizard is not available in the Home Edition of FontCreator.


Glyph Selection

AutoMetrics - Glyph Selection

With the Automatic Metrics wizard (select AutoMetrics from the Tools menu), you can generate the bearings for a selection of glyphs.

In the left hand panel you see the glyphs, which are present in your font. The right hand panel will contain the glyphs, which you select for modification of bearings.

Use the buttons located between the two panels of glyphs to move glyphs:

· The top button will transfer all glyphs from the left hand panel to the right hand panel. This is useful if many glyphs need modification. The unwanted can be selected and returned to the left panel.
· The second button transfers only selected glyphs from the left panel to the right panel for modification.
· The third button returns only selected glyphs from the right panel to the left panel. These glyph bearings, perhaps, require no modification.
· The bottom button will transfer all glyphs from the right panel to the left panel.

The Next button takes you to the next page where modifications to bearings can be made.


 Metrics

AutoMetrics - Metrics

In this window set the values for white space before and after the selected glyphs or use the fixed option to enter the exact left side bearing and advance width for the selected glyphs.

If Calculated is selected the white spaces before and after the selected glyphs will be modified.

If Fixed is chosen the left side bearing and the advance width will be modified.

Press the Finish button to return to the Glyph Overview window to check the result.

Note: Fixed is useful for the digit characters (0 to 9), which should all have the same advance width.

Note: The positions of the glyphs in the Glyph Edit window will not be changed, just the bearings.

Tip: In the Glyph Edit window you can step through with the Back and Forward blue arrows in the Drawing toolbar to check the result and make adjustments.


 Setup

AutoKern - Setup

With the Automatic Kerning wizard (select AutoKern from the Tools menu), you can generate kerning pairs for a selection of glyphs.

Warning: Although it is possible to add kerning pairs to a symbol font, it is not recommended.

Kerning pair selection

Select glyphs to be used for the Automatic Kerning wizard manually, or load them from file.

Note: The Import kerning pairs from file option is not available for symbol fonts.

Existing kerning pairs

Select the appropriate field.

The Next button takes you to the next where you can select glyphs or import kerning pairs from file.

Note: The Automatic Kerning wizard is not available in the Home Edition of FontCreator.

See also:

Kerning - Overview


Import

AutoKern - Import

This step is used to import kerning pairs from file. Press the [...] button to select the file with the kerning pairs.

Tip: Several kerning pair files are available from the kerning folder.

Format should be <First Glyph ASCII Character or Unicode Value><Second Glyph ASCII Character or Unicode Value><carriage return or space><The rest of the line is ignored>

Because Character \ is used as prefix for hexadecimal Unicode values, the ASCII character \ should be placed twice to distinguish between them. For example:

\\\2019 is a \ followed by a quoteright

\20195 is a quoteright followed by digit 5.

Tip: To generate a kerning pair file with a list of kerning pairs from another font, open this particular font and go to Kerning window from the Format menu and press the Save as Text button.

The Next button takes you to the next page.


Glyph Selection

AutoKern - Glyph Selection

This step is used to manually select glyphs, used by the next steps in this wizard. In the left hand panel you see the glyphs, which are present in your font. The right hand panel will contain the glyphs, which you select for modification of the kerning pairs.

Use the buttons located between the two panels of glyphs to move glyphs:

· The top button will transfer all glyphs from the left hand panel to the right hand panel. This is useful if many glyphs need modification. The unwanted can be selected and returned to the left panel.
· The second button transfers only selected glyphs from the left panel to the right panel for modification.
· The third button returns only selected glyphs from the right panel to the left panel. These glyph bearings, perhaps, require no modification.
· The bottom button will transfer all glyphs from the right panel to the left panel.

The Next button takes you to the next page where changes to the automatic kerning settings can be made.


Kern

AutoKern - Kern

In this step enter the values for white space between glyphs and the minimum absolute kerning value.

The White space between glyphs value is the recommended distance between two glyphs. The minimum absolute kerning value is used to ignore kerning pair values less than this value. Select Allow for positive kerning values if you also accept positive kerning pair values. On this page you can also decide when existing kerning pairs should be changed.

Press the Next button to see a preview of the result.


Preview

AutoKern - Preview

On this page there is a summary of the calculated kerning pairs.

Click the Finish button when you accept the new kerning pairs, otherwise click the Back or Cancel button.

Note: The Automatic Kerning wizard is not available in the Home Edition of FontCreator.


Font Family Name

AutoNaming - Font Family Name

Although it is possible to change the naming fields through the Naming window, this AutoNaming wizard automates the manual naming process. On the Tools menu, click AutoNaming.

This wizard will update the naming fields for English - United States for the Windows (Unicode or Symbol) Platform and for English for the Macintosh Roman platform. Other already available Font subfamily name and Full font name fields for the Windows (Unicode or Symbol) Platform will also be updated. These fields are from the file subfamily.dat.

Font subfamily name is taken from the Font Design fields from the Windows page in the Font Settings window.

The Next button takes you to the next page where modifications to some other naming fields can be made.


Suggested Name Fields

AutoNaming - Suggested Name Fields

This page suggests naming fields based on the Font family name and Font subfamily name as entered on the previous page.

On the Naming tab, accessed by Tools -> Options, there is a box marked Version String: use Font revision -> Version from Font Settings -> Header page. If this box is checked the Font revision Version from the Font Settings window (available from the Format -> Settings -> Header page) is used to format the suggested Version string. If this box is not checked the current Version string is used. The Modified field from the Header page is used to add date information to the Version string.

See the previous information in the Manual, about the Naming window, with regard to legal values for these fields.

Click the Finish button when you accept the new values, otherwise click the Back or Cancel button.


Import Raster Image

Import image can be selected from the Tools menu when you have activated a Glyph Edit window or it can be selected from the context menu after right-clicking in the window.

When you click on the Load button you get an open dialog box where you can open an image file (recommended image dimension between 100x100 and 500x500 pixels). The image will be displayed on the left and there will be a bitmap that is going to be used for the conversion on the right. There are some filters and other operations you can apply to the source image before starting the conversion.

The Threshold level is used to convert a color image into a black and white image. The Threshold level is the lightness value above which colors are turned black. All colors with lightness values above the level are turned into black. At a Threshold level of 1, all colors except white change to black.

Check the Negative image field to invert the image.

Dilation causes objects to dilate or grow in size; erosion causes objects to shrink. The amount that they grow or shrink depend upon the value specified on the right of the selection box.

Use the Smooth Filter to smooth the image. This will usually reduce the number of generated points.

When the Import Mode is set to Trace, the image will be converted with curves. This is the recommended setting. In case you don't want curves (especially useful for bar code fonts and pixel fonts), set the Import Mode to Pixels.

Check the Default field to save the current settings as the default for each new import. These settings are also used when pasting an image from the clipboard. Choosing to press the Cancel button will retain these default settings.

Use the settings on the Glyph tab to position and resize the generated contours.

When you press the Generate button the conversion will start.

Tip: You can also paste an image from the clipboard or drag and drop image(s) from explorer into the Glyph Overview and Glyph Edit windows.

Note: You can't import images into composite glyphs.


Import Vector Image

Import image can be selected from the Tools menu when you have activated a Glyph Edit window or it can be selected from the context menu after right-clicking in the window. When you open a vector based image file, the file will be instantly imported.

Tip: You can also paste an image from the clipboard or drag and drop image(s) from explorer into the Glyph Overview and Glyph Edit windows.

Note: You can't import images into composite glyphs.


TrueType Collection

A TrueType Collection file is one or more fonts (TrueType or OpenType) combined into one file. The Extract TrueType Fonts from TrueType Collection wizard, available from the Tools menu, can extract those fonts.

Source file

Select the TrueType Collection file.

Destination folder

The extracted font files will be saved in this folder.

Destination file prefix

The extracted files start with this prefix.

Here you will see all fonts available in the TrueType Collection. Select the fonts you want to extract and press the Finish button.


External Tools

To quickly access MainType, Windows Fonts folder and Character Map select Launch Externals from the Tools menu and select the tool you want to open.


Print Font

Printing - Print Font

This option (select Print in the File menu) is available when the Glyph Overview window is active. If a Glyph Edit window is active you will be able to print a glyph.

You can choose what kind of font information you want to print:

· Glyphs
· Properties
· Kerning pairs

Print Glyphs

Print all or the selected glyphs.

Print Properties

Print all fields from the Font Properties window.

Print Kerning pairs

Print all kerning pairs, also available from the Kerning window.


Print Glyph

Printing - Print Glyph

Select Print in the File menu to print a single glyph. This option is available when a Glyph Edit window is active. If the Glyph Overview window is active you will be able to print the font.

The print options allow you to print the grid, points and bearings and you can choose to fill the outlines.


Setup

Font Validation - Setup

Designing glyphs can be very complicated. The Font Validation wizard, available from the Font menu, identifies common potential problems and if possible points you to the specific item (e.g. glyphs, contours and coordinates). It validates all glyphs and optionally fixes detected problems.

The specific validation test are explained here:

Duplicate components

This problem will be reported when validating composite glyphs with two or more identical glyph members.

Empty components

This problem will be reported when validating composite glyphs with empty glyph members.

Duplicate contours

This problem will be reported when validating simple glyphs with two or more identical contours.

Contours with one or two points

This problem will be reported when validating simple glyphs with contours with one or two points.

Off-curve extreme coordinates

This test checks whether all off-curve points are inside the global bounding box (and optionally their local bounding box). You can customize this feature through the Options window.

The left image shows two red rectangles. The large one is the global bounding box and the smaller rectangle is a local bounding box between an on-off-on curve sequence. Both off-curve points lie outside their bounding box. With local detection enabled, the right image shows the result of clicking the Add on-curve extremes button on the Validation toolbar.

Redundant points

This problem will be reported when validating simple glyphs with contours with redundant points.

Duplicate knots

This problem will be reported when validating simple glyphs with contours with two adjacent points that have the same coordinates but one is on-curve and the other is off-curve.

Intersecting coordinates

This problem will be reported when validating composite glyphs with intersecting glyph members and when validating simple glyphs with (self-)intersecting contours. Avoid crossing contours whenever possible.

Note: Older PostScript Level 2 drivers do not support overlapping contours.

Contours with unknown direction

This problem will be reported when validating simple glyphs with contours that have an unknown direction.

Contours with incorrect direction

This problem will be reported when validating simple glyphs with contours that have an incorrect direction (Contours that need to be filled black must have a clockwise direction. If we want to make a white area inside an existing contour we must make the direction of the new contour counter clockwise.).

Note: This test will not be performed when Duplicate contours, Intersecting coordinates or Contours with unknown direction have been reported.

Note: The Validation features are not available in the Home Edition of FontCreator.


Results

Font Validation - Results

After the validation process the (remaining) problems are shown for all glyphs. Optionally the report can be saved.

Note: The Validation features are not available in the Home Edition of FontCreator.


MainType

MainType is a powerful font manager for Windows that helps you maintain your fonts. Although it's main purpose is installing and uninstalling fonts, it also allows you to insert special characters into documents and the Test window.

You can download MainType from here:

http://www.high-logic.com/


International Keyboard

Instead of memorizing a long list of Alt number combinations, or using the Character Map, you could change your language and layout from English-US to United States-International (or any other available language on your system).

Here's how:

· Single-click the Start menu, mouse over Settings, and then single-click the Control Panel.
· Double-click the Keyboard icon and then click the Language tab
· Click Add.
· Under "Keyboard layout," place a checkmark next to United States-International.
· Click OK.
· Click Apply. You may be asked to insert your Windows system disk to finish loading the process.

You can type in other languages without knowing the Alt codes for a non-English alphabet. For example, type ~ followed by N to get Ñ. A tilde followed by any letter will place the appropriate accent on the letter you choose.


Test your Fonts

If you want to know how your font is going to look you can test it any time during the development process.

You can enter your own text into the Test window. FontCreator will remember this text so you can always test your fonts with your preferred text.

If you want to test how your font will look when it's printed you press the Print button. The Bold and Italic buttons are available for fonts that really are bold, italic or bold italic.

Note: The Test Font dialog uses a standard Window text control, that unfortunately doesn't support kerning. However there is a nice trick that allows you to easily test your font within another application like Microsoft Word. While the Test Window is visible you can select the font in other software as well. Usually it has a name like FC Test Font 012345. When you use the Test Window again you'll have to change the font's name in Word, because the name always changes (for example FC Test Font 66493).


Installing Fonts

Although it is possible to install a font through Windows fonts folder, FontCreator has its own Font Installation wizard. To make your font available to other applications select Install in the Font menu.

The Font Installation wizard will guide you through the installation process. At the end of the installation process you will be informed that the font is installed successfully. Now you will be able to select the font in any program that supports TrueType fonts.

Note: In order to install a modified font, the font file must be saved to file.

Note: It is not recommended to save font files directly into Windows Fonts folder.

Note: If you are reinstalling the font, it is recommended you delete the font BEFORE installing the new version.

Note: Don't just drop the font into Windows Fonts folder!


Overview

Toolbars - Overview

The toolbars give you one-click access to many of the commands on the menus. Some menu items have toolbar icons next to them so that you can quickly associate the command with that icon.

FontCreator's toolbars can be shown or hidden as needed. By default the Standard, Drawing, Grid, Glyph and the Align or Distribute toolbars are docked below the menu bar. Choose Toolbars from the View menu to select toolbars to display or hide, or right-click on any toolbar to get the same submenu.

Tips: Toolbars can be rearranged by dragging, docked on the left, right, top, or bottom of the FontCreator window, or made floating. In the Glyph Edit Window, to quickly close a floating toolbar, click the Close button on that toolbar, or use its shortcut key.

To undock a docked toolbar, double-click its grab handle where the four-arrow cursor is displayed. To dock it again, double-click the floating toolbar's title bar. The Transformation, Validation, Preview, Background Image and Comparison toolbars cannot be docked, but they can be toggled on/off with shortcut keys F6, F7, F8, F9, and F11 respectively.


Transform

Toolbars - Transform

The Transform toolbar contains powerful tools for editing simple glyphs. Contours can be precisely repositioned, resized, moved, skewed, scaled, rotated, or mirrored. Nodes can be repositioned or moved by precise increments. The glyph's bearings can also be set.

The Transform toolbar can be toggled on and off using the F6 shortcut key, but is only available in the Glyph Edit Window.


Validation

Toolbars - Validation

Use the Validation toolbar to locate and solve common glyph problems. It can be toggled on and off using the F7 shortcut key (or Show glyph validation report button on the Glyph toolbar), but is only available in the Glyph Edit window.

Note: Because the validation can be very time-consuming, real-time glyph problem detection will be disabled for too complex glyphs. The limits for real-time glyph validation are set on the Validation tab of the Options dialog.

Red marks in the Glyph Edit window will show the position of the located problems.

Not every problem should be classified as an error, it is the designer's decision to correct or ignore potential problems. Double-click on a reported problem to focus the problematic point or contour. There are several buttons on the Validation toolbar that will perform actions that will automatically solve some specific problems.

Enable real-time glyph problem detection

Use this button to enable and disable real-time glyph problem detection.

Refresh

When real-time validation is not enabled, use this button to revalidate the glyph.

Save report

Use this button to save the report to file.

Show intersecting components and contours

Intersections will be shown when this button is enabled and is down. Red crosses in the Glyph Edit window will show the position of the intersections.

Show warning points

Warning points will be shown when this button is enabled and is down. Red bullets in the Glyph Edit window will show the position of the located problems.

Correct contour directions

Use this button to correct the direction of all misoriented contours in a simple glyph. This button is only enabled when contour direction problems are detected.

Note: This test will not be performed when Duplicate contours or Intersecting coordinates have been reported.

Remove duplicate components and contours

This button will remove duplicate components from a composite glyph and will remove duplicate contours from a simple glyph.

Remove empty components and contours with one and two points

This button will remove empty components from a composite glyph and will remove contours with one and two points from a simple glyph.

Remove redundant points

Press this button to remove all redundant points.

Note: This feature won't remove duplicate knots as this would affect the outline.

Add on-curve extremes

Press this button to add on-curve extremes. This feature will add global or local extremes, as customized through the Options window.

Note: As this feature generates new points, this could lead to new redundant points.

Note: The Validation features are not available in the Home Edition of FontCreator.

See also:

Font Validation


 Preview

Toolbars - Preview

While editing a font, you can preview the results with the Preview toolbar. You can choose a standard text sample from the drop-down list or enter your own text. It can be toggled on and off using the F8 shortcut key and is available in both the Font Overview window and the Glyph Edit window.

Selected glyphs in the overview window can be displayed in the Preview toolbar by pressing the "P" shortcut key.

Change the value of the Font Size field to change the size of the text. Check the kerning box to include kerning support. The Preview toolbar can be resized to show more text.

Note to enter non-ASCII characters enable Unicode Support or use \<CODE> where <CODE> is a 4-digit hexadecimal number that indicates the Unicode value. To enter a backslash type it twice: \\.


Background Image

Toolbars - Background Image

You can add a background image on a Glyph Edit window through the Background toolbar. It can help you with your glyph design. It can be toggled on and off using the F9 shortcut key, but is available only in the Glyph Edit window.

Click the Copy from current glyph button to place a copy of the current outline as background image. To add a background image paste an image from the clipboard, or click the Load button and select the image you want to use. Use the position and scale fields to move and scale the image. Check the Monochrome box, to show the background image in one color.


 Comparison

Comparison

You can show glyphs (with kerning) before and after the current glyph in a Glyph Edit window through the Comparison toolbar. It can help you accurately position composite glyph members such as diacritics and help you with aligning flowing scripts and other aspects of your glyph design..

Note: to enter non-ASCII characters enable Unicode Support or use \<CODE> where <CODE> is a 4-digit hexadecimal number that indicates the Unicode value. To enter a backslash type it twice: \\.


Samples

Toolbars - Samples

The Samples toolbar is a powerful way of adding some contours you may frequently want to use in fonts or in glyphs. With the Samples toolbar you can drag and drop a sample glyph to a Glyph Edit window. The toolbar can be docked or floating, and can be toggled on and off using the F12 shortcut key, but it can only be used in the Glyph Edit window.

Note: This will not work on composite glyphs.

You can change the samples by making a special samples font, which includes your own samples. From the Tools menu you go to Options and go to the Samples page. Here you can select the font filename to be used in the Samples toolbar.


 General

Options - General

You can customize the way fonts are loaded, saved and shown with the Options window (Select Options from the Tools menu).

Use the fields on the General page when you want to change the Unicode support, welcome dialog, update reminder and number format. Unicode support is only available for Windows NT, 2000, XP and more recent versions of Windows (Windows Vista). The number format values can be Decimal or Hexadecimal.


Sample

Options - Sample

On the Tools menu, click Options, and then click the Sample tab.

Here you can adjust the Glyph-cell width and Glyph-cell height and select the font filename to be used in the Samples toolbar. In order to use the default samples, leave the filename field empty.


 Font

Options - Font

On the Tools menu, click Options, and then click the Font tab.

Select the actions you want to be performed when a font file is opened. Unsupported tables and existing hinting data can be preserved or deleted. Some other tables can be removed by selecting the corresponding check boxes.

There are some options that can be performed when saving font files.

Always create backup copy (bak)

Copies the previous version of a font file as a backup copy every time you save a font. Each new backup copy replaces the previous backup copy. FontCreator saves the backup copy (with a file name extension .bak) in the same folder as the original and adds a special header to the file.

To restore to the backup file open it in FontCreator and save it back with the ttf extension.

Optimize name table

This will optimize the storage of naming fields in the name table.

Compress hmtx table

This will compress the hmtx table.

Exclude monospaced fonts

According to Microsoft; avoid using compressed format for monospaced fonts at this juncture.

Recalc glyph bounding boxes

This feature will recalculate the bounding box for all glyphs. Simply opening and saving a font will ensure correct bounding boxes for all glyphs. Normally this feature will not affect fonts.

Update Modified DateTime field

Sets the Modified DateTime field, located on the Header page (Settings window), to the current date and time.

Recalc average char width

This feature will recalculate the Average Char Width located on the General page (Settings window).

Long-aligned local offsets

It is recommended to save local offsets long-aligned. Offsets which are not long-aligned may seriously degrade performance of some processors.

Set left side bearing point at x=0

This option moves glyphs, so the left side bearing point is set at x=0. This prevents potential display problems.


Overview

Options - Overview

On the Tools menu, click Options, and then click the Overview tab. Here you can adjust the Glyph-cell width and Glyph-cell height and the caption.

In the Overview window all glyphs are displayed in a cell. Use Glyph width and Glyph height to change the size of these cells.

Select the Show caption check box to display the caption.

To distinguish the types of glyphs the captions have different colors:

· Grey: empty glyph,
· Pink: empty glyph used by composite glyph(s)
· Green: simple glyph, consists of contours
· Red: simple glyph that is also used by a composite glyph
· Blue: composite glyph, consists of other glyphs
· Purple: composite glyph used by other composite glyph(s)

Unselect Use type color in glyph caption to show all captions in black.

Select Smooth glyphs to smooth the edges of the outlines. This is off by default as screen redrawing may be slow with less powerful computers.

With the Show sample in empty glyphs feature, all empty glyphs will be presented by a sample glyph. These samples will be displayed in gray with the font that can be selected through the Font used by samples box.

Select the kind of Caption that is used to display the postscript name, the mappings or the index of the glyphs for each cell in the Overview window.


Glyph

Options - Glyph

On the Tools menu, click Options, and then click the Glyph tab.

Here you can set the way a Glyph Edit window will show the glyph.


Edit

Options - Edit

On the Tools menu, click Options, and then click the Edit tab.

Max. count

Select this check box and enter a value to place a limit on the number of steps of Undo/ Redo information FontCreator stores per font. The range is from 1 to 999999 steps per open font.

Max. size [KB]

Select this check box and enter the amount of disk space for FontCreator to use when storing the Undo/ Redo information. The value can be between 1 and 999999 KB of storage per open font.


Naming

Options - Naming

On the Tools menu, click Options, and then click the Naming tab.

Default Naming for New Fonts

These fields are used as initial naming fields when a new font is created. <year> will be replaced by the current year and <font family> will be replaced by the actual font family name.

When the Version String: use Font revision is checked the Font revision Version from the Font Settings window is used to format the suggested Version string in the AutoNaming wizard. If this field is not checked the current Version string is used.


Validation

Options - Validation

On the Tools menu, click Options, and then click the Validation tab.

The Real-time glyph validation settings are used to determine wether the real-time glyph problem detection should be disabled as it would be too time consuming. These settings are only used by the real-time glyph problem detection. When disabled, use the Show glyph problem report to open the Glyph Problem Report window.

Off-curve extreme coordinates detection can be performed global or local.

Note: The Validation features are not available in the Home Edition of FontCreator.

See also:

Font Validation


Advanced

Options - Advanced

On the Tools menu, click Options, and then click the Advanced tab.

Warn before sorting glyphs

This indicates and determines if a warning will be issued when sorting glyphs. Sorting glyphs can take up to several minutes and is not undoable. If this is not checked, no warning will be given.

Warn before activating the fix feature in the Font Validation Wizard

This indicates and determines if a warning will be issued when the fix feature is checked during the Font Validation Wizard. This operation can take up to several minutes and is not undoable. If this is not checked, no warning will be given.

Warn before activating a remove feature from the Options -> Font page

This indicates and determines if a warning will be issued when a remove feature is checked on the Font page. If this is not checked, no warning will be given.

Warn before executing Glyph Transformer script

This indicates and determines if a warning will be issued when the Transform wizard is finalized. If this is not checked, no warning will be given.

Warn before adding characters

This indicates and determines if a warning will be issued when the Insert Characters feature is started. If this is not checked, no warning will be given.


Grid Options

You can adjust the way the grid in the Glyph Edit window is drawn in the Grid Options window (select Grid Options from the Tools menu).

Here you can change the minimum distance, color and style.

The Snap to Grid function automatically places selected glyphs, contours and points along the grid. When you release a selection, FontCreator moves it until the edges are aligned with the nearest grid lines.

You must choose the Show Grid command before you can use the Snap to Grid function. To activate the Snap to Grid function, click the Snap to Grid button on the toolbar or choose Snap to Grid from the View menu.

When the Snap to Grid function is active, its button on the menu and toolbar appears pressed in. Choose the command or click the button again to turn off the function.


Metrics Options

To open the Metrics Options window click Metrics Options on the Tools menu. Here you can specify what metrics and reference lines should be shown in the Glyph Edit window.

See also:

Glyph Metrics


Options

Guidelines - Options

To open the Guidelines Options window click Guidelines Options on the Tools menu. The Guidelines Options window is also activated when you double-click the rulers in the Glyph Edit window.

Here you can show and hide the guidelines and change the guidelines style and color.

The Snap to Guidelines function automatically places selected glyphs, contours and points along the guidelines. When you release a selection, the FontCreator moves it until the edges are aligned with the nearest horizontal or vertical guidelines. It is also possible to snap points to diagonal guidelines. You must choose the Show Guidelines command before you can use the Snap to Guidelines function. To activate the Snap to Guidelines function, select the Snap check box, click the Snap to Guidelines button on the toolbar or choose Snap to Guidelines from the View menu. Select the Lock check box, or select the Lock Guidelines button on the toolbar to make the guidelines unchangeable. This prevents accidentally moving guidelines.

Press the New button to define a new guideline. Press the Modify button to modify an existing guideline. To delete an existing guideline select it from the list view and click the Delete button. Use the Clear button to remove all guidelines.

If you want to add a horizontal or vertical guideline you can drag one from the top or left-hand ruler in the Glyph Edit window. Hold down the left mouse button and release it after you have moved the pointer to the desired position. To remove a guideline, simply drag it back to the ruler.

In order to rotate a guideline, press and hold down the Shift key before moving the guideline. Rotating a horizontal or vertical guideline will change the guideline into a diagonal guideline.

Select one or more contours (or one ore more composite glyph members) and right-click and then select Add Bounding Guidelines to add two horizontal and two vertical guidelines that correspond to the selection bounding box.

To copy a guideline to a new position, hold down the Ctrl key as you drag the guideline.

Tip: Select two points in a Glyph Edit window and press the G key on your keyboard to add a guideline that goes through the selected points.

Note: User defined guidelines will be used for all fonts.


Guideline

Guidelines - Guideline

Use the Guideline window to create or modify guidelines.

Line Type

Choose between horizontal and vertical lines and two diagonal line types.

Line Position

Both horizontal and vertical lines only need one value.

A diagonal line needs either one point with an angle or two points.

Tip: The Guideline window is activated when you double-click a guideline in the Glyph Edit window.


Keyboard Shortcuts

 Previous

You can quickly accomplish tasks you perform frequently by using shortcut keys — one or more keys you press on the keyboard to complete a task.

General Shortcuts

Press | To
Ctrl+ 0-9 | Go to Bookmark
Ctrl+Shift+ 0-9 | Set Bookmark
Ctrl+Tab (or Ctrl+F6) | Next Window
Ctrl+Shift+Tab | Previous Window
F1 | Help
F3 | Find Next postscript Name
F4 | Show/Hide Statusbar
Ctrl+F4 | Close Window
F5 | Test Font
Ctrl-F5 | Launch MainType
F6 | Show/Hide Transform Toolbar
F7 | Show/Hide Glyph Validation Toolbar *
F8 | Show/Hide Preview Toolbar
F9 | Show/Hide Image Toolbar
F10 | Activates the Main Menu
Shift-F10 | Displays the shortcut menu for a selected item
F11 | Show/Hide Comparison Toolbar
Ctrl-F11 | Launch Windows Font Folder
F12 | Show/Hide Samples Toolbar
Ctrl-F12 | Launch Windows Character Map
Delete | Delete selection
Ctrl-A | Select All
Ctrl-C | Copy
Ctrl-E | Paste Special
Ctrl-F | Displays the Find dialog box
Ctrl-I | Open Installed Fonts
Ctrl-N | New Font
Ctrl-O | Open Font
Ctrl-P | Print
Ctrl-R | Repeat
Ctrl-S | Save
Ctrl-T | Invert Selection
Ctrl-U | Clear Selection
Ctrl-V | Paste
Ctrl-X | Cut
Ctrl-Y | Redo
Ctrl-Z | Undo

Keys for working in the Glyph Overview window

Press | To
Alt+Enter | To glyph's properties
Enter | Open Glyph Edit window
Backspace | Clear selected glyphs
P | The first 256 characters mapped to the selected glyphs will be placed into the preview toolbar
Plus Sign | Increase the cell size
Minus Sign | Decrease the cell size

Keys for working in the Glyph Edit window

Press | To
Plus Sign or Ctrl+Plus Sign | Increase the zoom factor
Minus Sign or Ctrl+Minus Sign | Decrease the zoom factor
Alt+Left Arrow | To previous glyph
Alt+Right Arrow | To next glyph
Alt+Enter | To glyph's properties
N | Change selected points to on curve
F | Change selected points to off curve
G | Add guideline through two selected nodes, or add orthogonal guidelines at a single selected node
A | Add points after selected points
H | While pressed down, hides everything except the glyph
Q | Select previous contour/point index or composite glyph member
W | Select next contour/point index or composite glyph member
/ | Fit to Window
Space+Left mouse button | Move around the Glyph Edit window
Double-click | While editing an empty or simple glyph, this will switch contour/point mode While editing a composite glyph, this will open the composite glyph member properties window
Double-click on rulers | Edit guidelines
Double-click on guideline | Adjust guideline
Shift-click on guideline | Rotate guideline
Ctrl+Drag guideline | Duplicate guideline
Click on selected contour | show/hide rotate and skew handles
Shift+Mouse | Constrain movement and scaling
Ctrl+Mouse | Duplicate selected contour

* Not available in the Home Edition of FontCreator.


.topic 200
In information technology, a glyph (pronounced GLIHF) is a graphic symbol that provides the appearance or form for a character. A glyph can be an alphabetic or numeric font or some other symbol that pictures an encoded character.

The following quote is from a document written as background for the Unicode character set standard. An ideal characterization of characters and glyphs and their relationship may be stated as follows: A character conveys distinctions in meaning or sounds. A character has no intrinsic appearance. A glyph conveys distinctions in form. A glyph has no intrinsic meaning. One or more characters may be depicted by one or more glyph representations (instances of an abstract glyph) in a possibly context dependent fashion. Glyph is from a Greek word for "carving".
.topic 108
A base-16 number system whose numbers are represented by the digits 0 through 9 and the (uppercase or lowercase) letters A (equivalent to decimal 10) through F (equivalent to decimal 15).
.topic 175
Symbol fonts (also known as Dingbats) are used for fonts that include symbols, signs, signatures, pictures, decorations, arrows and bullets.
.topic 234
The 16-bit Unicode Transformation Format (UTF-16) is a character encoding form that provides a way to represent a series of abstract characters from Unicode and ISO/IEC 10646 as a series of 16-bit words suitable for storage or transmission via data networks.
.topic 142
A specific or unique design of an alphabet. A typeface describes how thick or thin the letters are drawn, the width of the characters, the angle that the characters are facing, the height of the lowercase letters, and how deep the vertical lines drop below the lowercase letters.
.topic 143
The height of lowercase characters in a font excluding ascenders and descenders.


Glyph

In information technology, a glyph (pronounced GLIHF) is a graphic symbol that provides the appearance or form for a character. A glyph can be an alphabetic or numeric font or some other symbol that pictures an encoded character.

The following quote is from a document written as background for the Unicode character set standard. An ideal characterization of characters and glyphs and their relationship may be stated as follows: A character conveys distinctions in meaning or sounds. A character has no intrinsic appearance. A glyph conveys distinctions in form. A glyph has no intrinsic meaning. One or more characters may be depicted by one or more glyph representations (instances of an abstract glyph) in a possibly context dependent fashion. Glyph is from a Greek word for "carving".